tinyMCEPopup.requireLangPack();
tinyMCEPopup.onInit.add(onLoadInit);

function saveContent() {
    // [2020-04] reflect xss 취약점 개선
	// [2022-02] KVE-2022 Stored XSS 취약점 개선
    var patch_cont = document.getElementById('htmlSource').value;
    patch_cont = patch_cont.replace(/<embed/g, "&lt;embed");
    patch_cont = patch_cont.replace(/embed>/g, "embed&gt;");
    patch_cont = patch_cont.replace(/<video/g, "&lt;video");
    patch_cont = patch_cont.replace(/video>/g, "video&gt;");
    patch_cont = patch_cont.replace(/<script/g, "&lt;script");
    patch_cont = patch_cont.replace(/script>/g, "script&gt;");
    patch_cont = patch_cont.replace(/onload='/g, "Onload='//");
    patch_cont = patch_cont.replace(/onload="/g, "onload=\"//");
    patch_cont = patch_cont.replace(/onload=/g, "onLload=\'\'");
    patch_cont = patch_cont.replace(/onerror='/g, "onerror='//");
    patch_cont = patch_cont.replace(/onerror="/g, "onerror=\"//");
    patch_cont = patch_cont.replace(/onerror=/g, "onError=\'\'");
    patch_cont = patch_cont.replace(/javascript:/g, "javascript://");
    patch_cont = patch_cont.replace(/document.cookie/g, "document.Cookie");
	patch_cont = patch_cont.replace(/\$\.ajax/g, "&dollar;&period;ajax");
	patch_cont = patch_cont.replace(/\$\.post/g, "&dollar;&period;post");
	patch_cont = patch_cont.replace(/\$\.getScript/g, "&dollar;&period;getScript");
	patch_cont = patch_cont.replace(/ajax\(/g, "ajax&lpar;");

	//tinyMCEPopup.editor.setContent(document.getElementById('htmlSource').value, {source_view : true});
    tinyMCEPopup.editor.setContent(patch_cont, {source_view : true});
	tinyMCEPopup.close();
}

function onLoadInit() {
	tinyMCEPopup.resizeToInnerSize();

	// Remove Gecko spellchecking
	//if (tinymce.isGecko)
	//	document.body.spellcheck = tinyMCEPopup.editor.getParam("gecko_spellcheck");

	document.getElementById('htmlSource').value = tinyMCEPopup.editor.getContent({source_view : true});

	if (tinyMCEPopup.editor.getParam("theme_advanced_source_editor_wrap", true)) {
		turnWrapOn();
		document.getElementById('wraped').checked = true;
	}

	resizeInputs();
}

function setWrap(val) {
	var v, n, s = document.getElementById('htmlSource');

	s.wrap = val;

	if (!tinymce.isIE) {
		v = s.value;
		n = s.cloneNode(false);
		n.setAttribute("wrap", val);
		s.parentNode.replaceChild(n, s);
		n.value = v;
	}
}

function setWhiteSpaceCss(value) {
	var el = document.getElementById('htmlSource');
	tinymce.DOM.setStyle(el, 'white-space', value);
}

function turnWrapOff() {
	if (tinymce.isWebKit) {
		setWhiteSpaceCss('pre');
	} else {
		setWrap('off');
	}
}

function turnWrapOn() {
	if (tinymce.isWebKit) {
		setWhiteSpaceCss('pre-wrap');
	} else {
		setWrap('soft');
	}
}

function toggleWordWrap(elm) {
	if (elm.checked) {
		turnWrapOn();
	} else {
		turnWrapOff();
	}
}

function resizeInputs() {
	var vp = tinyMCEPopup.dom.getViewPort(window), el;

	el = document.getElementById('htmlSource');

	if (el) {
		el.style.width = (vp.w - 20) + 'px';
		el.style.height = (vp.h - 65) + 'px';
	}
}
