<?
require_once('include/global.php');
require_once('include/addr_lib.php');
require_once('conf.inc.php');


// check
	if (!$_GET['adg_no'] || !$_GET['ad_no'] || !$_POST['adg_no'] || !$_POST['ad_name'] || !$_POST['ad_email'])
		msg('올바른 URL로 접근하여 주십시오');

	// [2006-07-11] 공용주소록 구분
	set_addr_no_isshare($_POST['adg_no'], $_GET['share']);
	
	limit_adg_no($_POST['adg_no']);
	limit_adg_no($_GET['adg_no']);

	// [2006-07-14] 공용주소록은 등록자와 관리자만 수정가능함.
	if ($G['adg_no_isshare'] && $AUTH['auth_m_level'] < $G['LEVEL']['admin'])
	{
		if (get_addr_owner_check($_GET['ad_no']) < 1)
			msg("공용주소록은 등록자와 관리자만 수정할 수 있습니다.");
	}	// if()


	$_POST['ad_email'] = strtolower($_POST['ad_email']);

	// 중복여부 체크
	// [2008-05-27] 같은 그룹내에서만 중복체크하도록 개선
	if (!$G_SYS['ADDR_DUPLICATE_CHK_SKIP'])
	{
		$ad_email_cnt = db_get_one("
				SELECT 
					COUNT(ad.ad_no) 
				FROM 
					" . $TB['ADDR_GROUP'] . " adg, 
					" . $TB['ADDR'] . " ad 
				WHERE 
					adg." . get_addr_group_where() . "
					AND adg.adg_no=ad.adg_no 
					AND ad.ad_email='" . $_POST['ad_email'] . "'
					AND ad.adg_no='" . $_POST['adg_no'] . "'
					AND ad.ad_no != '" . $_GET['ad_no'] . "'
				");
		if ($ad_email_cnt > 0)
			msg("이미 동일한 그룹내에 추가된 메일 주소입니다.\\n\\n=> ".$_POST['ad_email']);
	}	// if()


// data
	$_POST['adg_no'] = to_db_str($_POST['adg_no'], 20);
	$_POST['ad_name'] = to_db_str($_POST['ad_name'], 50);
	$_POST['ad_email'] = to_db_str($_POST['ad_email'], 255);
	$_POST['ad_mobile'] = to_db_str($_POST['ad_mobile'], 20);
	$_POST['ad_office'] = to_db_str($_POST['ad_office'], 50);
	$_POST['ad_addr'] = to_db_str($_POST['ad_addr'], 255);
	$_POST['ad_tel'] = to_db_str($_POST['ad_tel'], 20);
	$_POST['ad_fax'] = to_db_str($_POST['ad_fax'], 20);
	$_POST['ad_homepage'] = to_db_str($_POST['ad_homepage'], 255);
	$_POST['ad_memo'] = to_db_str($_POST['ad_memo'], $G_SYS['DB_TEXT']);


	// 공용주소록으로 지정된 데이타가 있는지, 있을 경우 실제로 존재하는지 확인.
	$q = "SELECT ad_no_share FROM " . $TB['ADDR'] . " WHERE ad_no='" . $_GET['ad_no'] . "'";
	$ad_no_share = db_get_one($q);
	$ad_no_share_cnt = 0;
	if ($ad_no_share)
	{
		$q = "SELECT COUNT(*) FROM " . $TB['ADDR'] . " WHERE ad_no='" . $ad_no_share . "'";
		$ad_no_share_cnt = db_get_one($q);
	}	// if()


	// 공용주소록 그룹 지정시.(기존 공유 데이타가 없을때)
	$q_set = '';
	if ($ad_no_share_cnt < 1 && $_POST['adg_no_share'] > 0 && is_numeric($_POST['adg_no_share']))
	{
		$sql = "
			INSERT INTO
				" .	$TB['ADDR']	. "
				( ad_no	, adg_no , ad_name , ad_email ,	ad_mobile ,	ad_office ,	ad_addr	, ad_tel , ad_fax ,	ad_homepage	, ad_memo , ad_no_share )
			VALUES
				( ".db_sqc_next($TB['ADDR']).", '" . $_POST['adg_no_share']	. "', '" . $_POST['ad_name'] . "', '" .	$_POST['ad_email'] . "', '"	. $_POST['ad_mobile'] .	"',	'" . $_POST['ad_office'] . "',	'" . $_POST['ad_addr'] . "', '"	. $_POST['ad_tel'] . "', '"	. $_POST['ad_fax'] . "', '"	. $_POST['ad_homepage']	. "', '" . $_POST['ad_memo'] . "', '" . $_GET['ad_no'] . "' )
			";
		db_query($sql);
		$ad_no_share2 = db_sqc_curr($TB['ADDR']);

		$q_set = " , ad_no_share = '".$ad_no_share2."' ";
	}	// if()


	$sql = "
		UPDATE
			" . $TB['ADDR'] . "
		SET
			adg_no='" . $_POST['adg_no'] . "',
			ad_name='" . $_POST['ad_name'] . "',
			ad_email='" . $_POST['ad_email'] . "',
			ad_mobile='" . $_POST['ad_mobile'] . "',
			ad_office='" . $_POST['ad_office'] . "',
			ad_addr='" . $_POST['ad_addr'] . "',
			ad_tel='" . $_POST['ad_tel'] . "',
			ad_fax='" . $_POST['ad_fax'] . "',
			ad_homepage='" . $_POST['ad_homepage'] . "',
			ad_memo='" . $_POST['ad_memo'] . "'
			$q_set
		WHERE
			ad_no='" . $_GET['ad_no'] . "'
			AND adg_no='" . $_GET['adg_no'] . "'
		";
	db_query($sql);

	// 공용주소록으로 지정된 데이타가 실제로 존재할 경우 함께 갱신.(그룹은 제외)
	if ($ad_no_share_cnt > 0)
	{
		$sql = "
			UPDATE
				" . $TB['ADDR'] . "
			SET
				ad_name='" . $_POST['ad_name'] . "',
				ad_email='" . $_POST['ad_email'] . "',
				ad_mobile='" . $_POST['ad_mobile'] . "',
				ad_office='" . $_POST['ad_office'] . "',
				ad_addr='" . $_POST['ad_addr'] . "',
				ad_tel='" . $_POST['ad_tel'] . "',
				ad_fax='" . $_POST['ad_fax'] . "',
				ad_homepage='" . $_POST['ad_homepage'] . "',
				ad_memo='" . $_POST['ad_memo'] . "'
			WHERE
				ad_no='" . $ad_no_share . "'
			";
		db_query($sql);		
	}	// if()


// end
	#msg("수정되었습니다.", 0);
	movepage('addr_list.php?' . get_qs('adg_no', 'ad_no'));


require_once('include/global_end.php');
?>