<?
require_once('include/global.php');
require_once('include/addr_lib.php');
require_once('include/file.php');
require_once('conf.inc.php');

set_time_limit(1200);

// check
	if (!$_POST['ao_type'])
		msg('올바른	URL로 접근하여 주십시오');
	if (!$_POST['check_addr_group'])
		msg('내보내기할 주소록 그룹을 선택하여 주십시오');

    // [2020-08] KVE SQL Injection 개선
    $get_q = $_POST['check_addr_group'];
    $arr_q = array();
    for ($i=0; $i < sizeof($get_q); $i++){
        if (is_numeric($get_q[$i]))
            array_push($arr_q, $get_q[$i]);
    }
    $_POST['check_addr_group'] = $arr_q;

	for ($i=0; $i<sizeof($_POST['check_addr_group']); $i++)
	{
		// [2006-07-11] 공용주소록 구분
		set_addr_no_isshare($_POST['check_addr_group'][$i], $_GET['share']);

		limit_adg_no($_POST['check_addr_group'][$i]);
	}	// for()


// select
	$q_where = " AND adg.adg_no IN (" . implode(',', $_POST['check_addr_group']) . ") ";

	$DEBUG['db_select']['start'] = getmicrotime();
	$sql = "
		SELECT
			adg.adg_name, ad.*
		FROM
			" . $TB['ADDR_GROUP'] . " adg,
			" . $TB['ADDR'] . " ad
		WHERE
			adg." . get_addr_group_where() . "
			AND adg.adg_no=ad.adg_no
			" . $q_where . "
		ORDER BY
			ad.ad_name
		";
	#vd($sql);
	$rows = db_get_rows($sql);
	#vd($rows);
	$DEBUG['db_select']['exec'] += getmicrotime() - $DEBUG['db_select']['start'];
	if (!$rows)
		msg('선택한 그룹에 등록된 주소록이 없습니다.');
	


// proc
	function csv_data_replace($str)
	{
		// htmlspecialchars_fix 로 변경된 문자열 되돌리기
		$trans = array("&quot;" => "\"", "&#039;" => "＇", "&lt;"=>"<", "&gt;"=>">"); 
		$str = strtr($str, $trans);
		return str_replace('"', '""', $str);		
	}	// function()
	$crlf = "\r\n";

	if ($_POST['ao_type'] == 'O')		// Outlook
	{
		$ao_type_name = 'OfficeOutlook';
		$data = '"범주 항목","성","이름","전자 메일 주소","휴대폰","회사","근무지 우편 번호","근무지 시/도","근무지 구/군/시","근무지 주소 번지","근무처 전화","근무지 팩스","웹 페이지","메모"'.$crlf;
		for ($i=0; $i<sizeof($rows); $i++)
		{
			$data .= '"'.csv_data_replace($rows[$i]['adg_name']).'",';
			$_sp = strpos($rows[$i]['ad_name'], ' ');
			if ($_sp != false)
			{
				$ad_name_1 = substr($rows[$i]['ad_name'], 0, $_sp);
				$ad_name_2 = substr($rows[$i]['ad_name'], $_sp+1);
			} else 
			{
				$ad_name_1 = '';
				$ad_name_2 = $rows[$i]['ad_name'];
			}	// if()
			$data .= '"'.csv_data_replace($ad_name_1).'",';
			$data .= '"'.csv_data_replace($ad_name_2).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_email']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_mobile']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_office']).'",';
			$data .= '"",';
			$data .= '"",';
			$data .= '"",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_addr']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_tel']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_fax']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_homepage']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_memo']).'"';
			$data .= $crlf;		
		}	// for()
	} else	// Outlook Express
	{
		$ao_type_name = 'OutlookExpress';
		$data = '"전체 이름","전자 메일 주소","휴대폰","회사","우편 번호(회사)","시/도(회사)","구/군/시(회사)","주소(회사)","회사 전화","회사 팩스","개인 웹 페이지","메모"'.$crlf;
		for ($i=0; $i<sizeof($rows); $i++)
		{
			$data .= '"'.csv_data_replace($rows[$i]['ad_name']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_email']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_mobile']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_office']).'",';
			$data .= '"",';
			$data .= '"",';
			$data .= '"",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_addr']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_tel']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_fax']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_homepage']).'",';
			$data .= '"'.csv_data_replace($rows[$i]['ad_memo']).'"';
			$data .= $crlf;		
		}	// for()
	}	// if()
	#vd($data);

	// UTF-8
	if (strtoupper($G_SYS[CHARSET]) == 'UTF-8')
		$data = iconv_fix('UTF-8', $data, 'CP949');

	file_down_headeronly($data, 'NmailAddress_to_'.$ao_type_name.'_'.date('Ymd_His').'.csv');

#require_once('include/global_end.php');
?>