<?
require_once('include/global.php');
require_once("include/mail_lib.php");
require_once('include/pager.php');
require_once('include/addr_lib.php');
require_once('include/member_group_lib.php');
require_once('conf.inc.php');


// set
	switch ($_GET['kind'])
	{
		case 'cc':
			$kind_name = '참조';
			break;

		case 'bcc':
			$kind_name = '숨은참조';
			break;

		default:
			$kind_name = '받는사람';
			break;
	}	// switch()

	$CFG['TITLE'] = '<b>편지쓰기</b> >> <b>' . $kind_name . ' 주소넣기</b>';

	// [2006-07-11] 공용주소록 구분
	set_addr_no_isshare($_GET['s_adg_no'], $_GET['share']);

	// [2006-07-14] 그룹별 주소록 수
		$adg_cnt = get_addr_group_count();

// data

	// search
		$q_where = '';
		if ($_GET['s_word'])
		{
			set_q_search($_GET['s_word']);
			$q_where = " AND ( ad_name LIKE '%" . $_GET['s_word'] . "%' OR ad_email LIKE '%" . $_GET['s_word'] . "%' OR ad_mobile LIKE '%" . $_GET['s_word'] . "%' OR ad_office LIKE '%" . $_GET['s_word'] . "%' ) ";
			$v_s_word = htmlspecialchars_fix(stripslashes($_GET['s_word']));
		}	// if()

		if ($_GET['s_adg_no'])
		{
			limit_adg_no($_GET['s_adg_no']);
			$q_where .= " AND adg.adg_no = '" . $_GET['s_adg_no'] . "' ";			
		}	// if()


	// sort
		$CFG['ADDR_LIST_FIELD'] = array(
				'adg.adg_name' => '그룹',
				'ad.ad_name' => '이름',
				'ad.ad_email' => '이메일'
				);
		if (!$_GET['s_key2'])
			$_GET['s_key2'] = 'ASC';
		$order_set = get_order(array_keys($CFG['ADDR_LIST_FIELD']), 'ad.ad_name', $_GET['s_key'], $_GET['s_key2']);
		$order_img = get_order_img(array_keys($CFG['ADDR_LIST_FIELD']), $_GET['s_key'], $_GET['s_key2'], false, 'common_skin');		// array

	// db - pager
		$DEBUG['db_cnt']['start'] = getmicrotime();
		$pager_params['totalItems'] = db_get_one("
			SELECT 
				COUNT(ad.ad_no) 
			FROM 
				" . $TB['ADDR_GROUP'] . " adg, 
				" . $TB['ADDR'] . " ad 
			WHERE 
				adg." . get_addr_group_where() . "
				AND adg.adg_no=ad.adg_no 
				" . $q_where
			);
		$pager_params['perPage'] = 500;

		$DEBUG['db_cnt']['exec'] += getmicrotime() - $DEBUG['db_cnt']['start'];

		// [2016-01-11] PHP 5버전대에서 Ampersand가 DEPRECATED처리되어 &삭제
		#$pager = &new Pager_Sliding($pager_params);
		// [2016-01-11] Ampersand가 DEPRECATED관련하여 PEAR Pager라이브러리 업그레이드 소스적용  
		#$pager = new Pager_Sliding($pager_params);
		$pager = Pager::factory($pager_params);
		$pager_links = $pager->getLinks();
		$pager_limit = get_pager_limit($pager->getCurrentPageID(), $pager_params['perPage']);

	// db - select
		$DEBUG['db_select']['start'] = getmicrotime();
		$sql = "
			SELECT
				adg.adg_name, ad.adg_no, ad.ad_no, ad.ad_name, ad.ad_email
			FROM
				" . $TB['ADDR_GROUP'] . " adg, 
				" . $TB['ADDR'] . " ad 
			WHERE
				adg." . get_addr_group_where() . "
				AND adg.adg_no=ad.adg_no 
				" . $q_where . "
			ORDER BY
				" . $order_set['query'] . "			
			";
		$rows = db_get_rows($sql, $pager_limit['from'], $pager_limit['count']);
		$DEBUG['db_select']['exec'] += getmicrotime() - $DEBUG['db_select']['start'];

	// process data
		$DEBUG['db_fetch_all']['start'] = getmicrotime();
		for ($i=0; $i<sizeof($rows); $i++)
		{
			$rows[$i]['chk_ad_no'] = htmlspecialchars_fix('"' . $rows[$i]['ad_name'] . '"') . ' <' . htmlspecialchars_fix($rows[$i]['ad_email']) . '>';
		}	// for()
		$rows = db_rows_fieldtokey($rows);
		$rows_cnt = getarraycount($rows['ad_name']);

		$DEBUG['db_fetch_all']['exec'] += getmicrotime() - $DEBUG['db_fetch_all']['start'];

	// 주소록수
		$addr_all_cnt = number_format($pager_params['totalItems']);

	// 주소록 그룹
		$addr_group = get_addr_group();
		$_addr_group = db_rows_fieldtokey($addr_group);
		$select_addr_group = select_list_value($_GET['s_adg_no'], $_addr_group['adg_name'], $_addr_group['adg_no'], NULL, 0, 1);


// skin view
	nskinset('webmail', 'addr_select_old.html', 'window_open');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>