<? if ( !defined("_INCLUDED_GLOBAL") ) die("Access Denied");		// [Security]Allow_url_fopen = On ?>
<?


	/*
		-. 일정 등록/수정 폼 데이타 지정.

		ex)
			$view = setform_diary($row);

	*/
	function setform_diary($row)
	{
		global $db, $TB, $G_SYS;

		// default
			$time_add_hour = 1;		// 기본 일정시간은 1시간.
			$time = time() + ($time_add_hour * 3600);
			$time_add = $time + ($time_add_hour * 3600);
			if (($row[di_startdate] == NULL)||($row[di_startdate] == "0000-00-00")) $row[di_startdate] = date("Y-m-d", $time);
			if (($row[di_enddate] == NULL)||($row[di_enddate] == "0000-00-00")) $row[di_enddate] = date("Y-m-d", $time_add);
			if ($row[di_starttime] == NULL) $row[di_starttime] = date("H", $time).':00';
			if ($row[di_endtime] == NULL) $row[di_endtime] = date("H", $time_add).':00';
			if ($row[di_repeat] == NULL) $row[di_repeat] = 'N';

		// set
			$view = $row;
			$view['di_kind'] = select_list_value($row['di_kind'], $G_SYS['DI_KIND_VAL'], $G_SYS['DI_KIND_KEY'], NULL, 0, 1);

			if (!$row['di_no_share'])
			{
				$view['di_no_share'] = select_list_value('', $G_SYS['DI_KIND_VAL'], $G_SYS['DI_KIND_KEY'], lang_conv("지정안함"), 0, 1);
			}	// if()

			$view['di_subject'] = input_value($row['di_subject'], 1);

			$view[di_startdate] = input_value($row[di_startdate], 1);
			$view[di_enddate] = input_value($row[di_enddate], 1);
			// 시간 배열 - 시
			$time_h = array();
			$time_h_str = array();
			for ($i=0; $i<24; $i++)
			{
				$time_h[] = sprintf("%02d",$i);
				$time_h_str[] = sprintf("%02d",$i) . "시";
			}	// for()

			// 시간 배열 - 분(5분단위)
			$time_m = array();
			$time_m_str = array();
			for ($i=0; $i<56; $i++)
			{
				if (($i%10) != 0) continue;
				$time_m[] = sprintf("%02d",$i);
				$time_m_str[] = sprintf("%02d",$i) . "분";
			}	// for()

			$_starttime = explode(":", $row[di_starttime]);
			$view[di_starttime_h] = select_list_value($_starttime[0], $time_h_str, $time_h, "", 0, 1);
			$view[di_starttime_m] = select_list_value($_starttime[1], $time_m_str, $time_m, "", 0, 1);

			$_endtime = explode(":", $row[di_endtime]);
			$view[di_endtime_h] = select_list_value($_endtime[0], $time_h_str, $time_h, "", 0, 1);
			$view[di_endtime_m] = select_list_value($_endtime[1], $time_m_str, $time_m, "", 0, 1);

			$view['di_content'] = htmlspecialchars_fix($row['di_content']);

		return $view;
	}	// function()


	/*
		-. 양력날짜를 음력날짜로 변환
	*/
	function solartolunar($date)
	{
		global $db, $TB;
		return db_get_one("SELECT lunar_date FROM " . $TB['DIARY_LUNAR'] . " WHERE solar_date='" . $date . "'");
	}	// function()


	/*
		-. 음력날짜를 양력날짜로 변환
	*/
	function lunartosolar($date)
	{
		global $db, $TB;

		$solar_date = db_get_one("SELECT solar_date FROM " . $TB['DIARY_LUNAR'] . " WHERE lunar_date='" . $date . "'");

		// 구정 1일전 휴일의 경우 12-29인 경우도 있음.
		if (!$solar_date && substr($date, 5, 5) == '12-30')
		{
			$date = str_replace('12-30', '12-29', $date);			
			$solar_date = db_get_one("SELECT solar_date FROM " . $TB['DIARY_LUNAR'] . " WHERE lunar_date='" . $date . "'");
		}	// if()

		return $solar_date;
	}	// function()


	function get_diary_group_where()
	{
		global $AUTH, $G;

		if ($G['di_no_isshare'])
		{
			$q_where = "d_no='" . $G['DINFO']['d_no'] . "' ";
		} else 
		{
			if ($_GET['isadmin'])
			{
				if (!$G['auth_limit_exec'])
				{
					auth_limit("admin");
					$G['auth_limit_exec'] = true;
				}	// if()
				$q_where = "d_no='" . $G['DINFO']['d_no'] . "' ";
			} else 
			{
				$q_where = "m_no='" . $AUTH['auth_m_no'] . "' ";
			}	// if()
		}	// if()

		return $q_where;
	}	// function()

	function get_diary_group_where_month()
	{
		global $AUTH, $G;

		if ($G['di_no_isshare'])
		{
			$q_where = " (di.m_no='0' AND (di.d_no='" . $G['DINFO']['d_no'] . "' OR di.d_no IS NULL)) ";
		} else 
		{
			if ($_GET['isadmin'])
			{
				if (!$G['auth_limit_exec'])
				{
					auth_limit("admin");
					$G['auth_limit_exec'] = true;
				}	// if()
				$q_where = " (di.m_no='0' AND (di.d_no='" . $G['DINFO']['d_no'] . "' OR di.d_no IS NULL)) ";
			} else 
			{
				$q_where = " (di.m_no='" . $AUTH['auth_m_no'] . "' OR (di.m_no='0' AND di.d_no IS NULL)) ";
			}	// if()
		}	// if()

		return $q_where;
	}	// function()

	// 공용일정 구분
	function set_diary_no_isshare($di_no=0, $share=0)
	{
		global $TB, $G;

		if ($di_no > 0)
		{
			$d_cnt = db_get_one("SELECT COUNT(*)  FROM " . $TB['DIARY'] . " WHERE d_no='" . $G['DINFO']['d_no'] . "' AND di_no='" . $di_no . "'");
			if ($d_cnt > 0)
			{
				$G['di_no_isshare'] = true;
				$_GET['share'] = 1;
			}	// if()
		} else if ($share)
		{
			$G['di_no_isshare'] = true;			
		}	// if()
	}	// function()


?>