<?
	require_once('../include/global.php');
	require_once("../include/webhard_lib.php");
	require_once("../include/file.php");
	require_once('./conf.inc.php');
//	http://m2.passkorea.net/webhard/file_down_all.php?wfd_key=1&q=5

// check
	if (!$_GET['wfd_key'] || !$_GET['q'])
		msg('올바른 URL로 접근하여 주십시오');


	// 공용웹하드 정보확인 및 권한제한
	$ws = webhard_get_share($_GET['wfd_key'], $ws_key=NULL, 'R');


// data
	$DEBUG['db_select']['start'] = getmicrotime();

	// db - select
	$arr_wfkey = preg_split("/\|/", $_GET['q']);
	$sql = "
			SELECT
				wf_key, wf_name
			FROM
				".$TB['WEBHARD_FILE']."
			WHERE
				wf_key IN (".implode($arr_wfkey, ',').")
	";
	$wf_name = db_get_rows($sql);
	$DEBUG['db_select']['exec'] += getmicrotime() - $DEBUG['db_select']['start'];


	$UPLOAD_ROOT = $UPLOAD_ROOT_NEW;
	$upload_dir = $UPLOAD_DIR[WEBHARD];
	$zip_dir = $UPLOAD_ROOT . "/" . $UPLOAD_DIR[BIGFILE_TMP];
	$zip_name = getmicrotime();
	$zip_name = 'NmailWebhard_'.date('Ymd_His').'_'.getmicrotime();
	#$zip_name = "1464570813.8139";
	$list_file_data = "";

	for ($i=0; $i<sizeof($wf_name); $i++)
	{
		//echo($wf_name[$i]['wf_name']);
		if (!$wf_name[$i]['wf_name'])
			msg("존재하지 않는 파일입니다.\\n\\n이미 삭제되었거나 다른 폴더로 옮겨졌을 수 있습니다.");

		$name = $wf_name[$i]['wf_key'];
		$name = stripslashes($name);

		// [2008-04-08] Windows + UTF-8 환경
		global $G_SYS;
		if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN' && strtoupper($G_SYS[CHARSET]) == 'UTF-8')
			$name = file_name_char_limit(iconv_fix('UTF-8', $name, 'CP949'));

		if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN' && strtoupper($G_SYS[CHARSET]) == 'UTF-8' || strtoupper($G_SYS[CHARSET]) == 'UTF-8')
			$wf_name[$i]['wf_name'] = file_name_char_limit(iconv_fix('UTF-8', $wf_name[$i]['wf_name'], 'CP949'));

		$file = $UPLOAD_ROOT . "/" . $upload_dir . "/" . file_name_fix($name, $key);		// 다른 디렉토리 /etc, /usr, /var 등은 접근불가

		// [secure] 부모 디렉토리로의 임의접근 차단 ex) [../]
		$file = preg_replace("/(\.\.\/)/", "", $file);

		if ( file_exists($file) ){
			copy($file, $zip_dir.'/'.$wf_name[$i]['wf_name']);
			$list_file_data .= file_name_fix($wf_name[$i]['wf_name'], $key)."\n";
		}
	}
	$list_file = $zip_dir."/".$zip_name.".txt";
	file_write($list_file, $list_file_data);

	// [2008-09-24] 편지함 백업/복구시 사용되는 압축 프로그램 Linux/Windows 구분
	if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN')
	{
		$zip_bin = dirname($G_SYS[PAGE_ROOT]).'/tools/7-zip/7za.exe';
		if (!file_exists($zip_bin))
			error("서버에서 압축프로그램을 찾을 수 없습니다.\n=> " . $zip_bin, 'FILE');
		$zip_bin .= ' a -tzip';
	} else
	{
		$zip_bin = '/usr/bin/zip';
		if (!file_exists($zip_bin))
			error("서버에서 압축프로그램을 찾을 수 없습니다.\n=> " . $zip_bin, 'FILE');
		$zip_bin .= ' -q';
	}	// if()

	if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN'){
		$cmd = $zip_bin.' -scsWIN '.' '.escapeshellarg($zip_dir.'/'.$zip_name.".zip").' @'.escapeshellarg($list_file);
	} else {
		$cmd = 'cat '.$list_file.'|'.$zip_bin.' '.escapeshellarg($zip_dir.'/'.$zip_name.".zip").' -@';
	}	// if()
	chdir($zip_dir);
	ob_start();
	system($cmd);
	exec($cmd);
	$cmd_result = ob_get_contents();
	ob_end_clean();
	sleep(1);
	//chmod($zip_name.".zip", $CHMOD_CHANGE);

	// download
	$errorMsg = file_down($zip_name.".zip", '', $UPLOAD_DIR[BIGFILE_TMP], NULL, $zip_name.".zip");
	if ($errorMsg)
		error("첨부파일 일괄 다운로드가 실패하였습니다.\n=> " . $zip_dir.'/'.$zip_name.".zip" . $errorMsg . "\n\n명령 : ".$cmd."\n\n명령 결과 : ".$cmd_result, 'FILE');

	// 다운로드 완료후 삭제
	if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN'){
		for ($i=0; $i<sizeof($wf_name); $i++){
			if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN' && strtoupper($G_SYS[CHARSET]) == 'UTF-8' || strtoupper($G_SYS[CHARSET]) == 'UTF-8')
				$wf_name[$i]['wf_name'] = file_name_char_limit(iconv_fix('UTF-8', $wf_name[$i]['wf_name'], 'CP949'));

			$file = $UPLOAD_ROOT . "/" . $upload_dir . "/" . file_name_fix($name, $key);		// 다른 디렉토리 /etc, /usr, /var 등은 접근불가
			unlink($zip_dir."/".$wf_name[$i]['wf_name']);
		}
	} else {
		$cmd = 'cat '.$list_file.'|xargs -n1 -i rm -f {}';
		system($cmd);
	}	// if()
	unlink($zip_dir.'/'.$zip_name.".txt");
	unlink($zip_dir.'/'.$zip_name.".zip");

	// db disconnect
	unset_db();

// 다운로드를 위해 디버깅정보 생략.
//require_once('include/global_end.php');
?>