<?
require_once('../include/global.php');
require_once("../include/webhard_lib.php");
require_once('../include/file.php');
require_once('./conf.inc.php');


if ($G_SYS['NM_UPLOADER_DEBUG'])
	errorlog($_POST['file'], 'DEBUG');

// ActiveX utf-8 지원
if ($G_SYS['NM_UPLOADER_CHARSET'] == 'UTF-8' && strtoupper($G_SYS[CHARSET]) != 'UTF-8')
{
	$_POST['file'] = iconv_fix('UTF-8', $_POST['file'], 'EUC-KR');
}	// if()
if ($G_SYS['NM_UPLOADER_CHARSET'] != 'UTF-8' && strtoupper($G_SYS[CHARSET]) == 'UTF-8')
{
	$_POST['file'] = iconv_fix('EUC-KR', $_POST['file'], 'UTF-8');
}	// if()

// 윈도우에서 지원하지 않는 문자는 파일명에서 자동 치환하기
$_POST['file'] = file_name_char_limit($_POST['file']);

if ($G_SYS['NM_UPLOADER_DEBUG'])
	errorlog($_POST['file'], 'DEBUG');


// check
	if ($_POST['file'] == '')
		error("[웹하드 업로드 실패]파일중복검사에 필요한 file 값이 전달되지 않았습니다.", 'FILE');		// 리턴결과가 0,1 만 나와야 하므로 에러는 출력하지 않음.


	// 공용웹하드 정보확인 및 권한제한
	$ws = webhard_get_share($_GET['wfd_key'], $ws_key=NULL, 'W');	


	$path = upload_path_parse($_POST['file']);


	// folder
		$dir_exists = false;
		$_wfd_key = $_GET['wfd_key'];
		if ($path['dir'] != '')
		{			
			$wfd_parent = $_GET['wfd_key'];
			for ($i=0; $i<sizeof($path['dirs']); $i++)
			{
				if (trim($path['dirs'][$i]) != '')
				{
					$q = "SELECT * FROM ".$TB['WEBHARD_FOLDER']." WHERE wfd_parent='".$wfd_parent."' AND wfd_name='".$path['dirs'][$i]."'".webhard_share_where($ws['ws_key'])."";
					$wf = db_get_row($q);
					if ($wf)
					{
						$wfd_parent = $wf['wfd_key'];
						$dir_exists = true;
						$_wfd_key = $wf['wfd_key'];
					} else
					{
						$dir_exists = false;
						$_wfd_key = $_GET['wfd_key'];
						break;
					}	// if()
				}	// if()
			}	// for()
		} else
		{
			$dir_exists = true;
		}	// if()


	// file
		if ($dir_exists)
		{
			$q = "SELECT COUNT(*) FROM ".$TB['WEBHARD_FILE']." WHERE wfd_key='".$_wfd_key."' AND wf_name='".$path['file']."'";
			$wf_cnt = db_get_one($q);
		} else
		{
			$wf_cnt = 0;
		}	// if()


	// 파일이 존재할 경우 1을 리턴.
		if ($wf_cnt > 0)
		{
			echo "1";
		} else
		{
			echo "0";
		}	// if()



#require_once('include/global_end.php');
?>