#!/usr/bin/php
<?
chdir(dirname(__FILE__));
require_once('../../nmail/include/global.php');
require_once('../../nmail/include/mail_send_lib.php');
require_once('../../nmail/include/file.php');

// 웹상에서의 실행방지.
if ($_SERVER['DOCUMENT_ROOT'] || $_SERVER['SERVER_SOFTWARE'])
{
	die("Access Denied");
}	// if()


if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN')
{
    $cmd = "powershell (get-process -name php).count";
    ob_start();
    system($cmd);
    $ps_count = ob_get_contents();
    ob_end_clean();

    //php 프로세스가 3개 이상일 경우 강제로 다 종료시킨다.
    if($ps_count >= 3)
    {
        echo " [".date("Y-m-d h:i:s")."]".iconv("UTF-8", "CP949", " [경고]PHP.EXE가 3개 이상 중복 실행 중입니다. PHP를 강제 종료합니다.\r\n");
        system("taskkill /f /im php.exe");
    }

    $pid = 'NmailAgentChild.pid';
    //$pid = '/var/run/NmailAgent.pid';
    if (file_exists($pid))
    {
        list($pid_old) = file($pid);
        if (is_numeric($pid_old))
        {

            $cmd = "powershell \"get-process -id ".$pid_old."| Select-Object id -ExpandProperty id\"";
            ob_start();
            system($cmd);
            $ps = ob_get_contents();
            ob_end_clean();

            if (strpos($ps, $pid_old) !== false)
            {
                exit;
            }	// if()

        }	// if()
    }	// if()

    // pid
    $fh=fopen($pid,"w");
    fwrite($fh,getmypid());
    fclose($fh);
} else 
{
	// 파일이 있을 경우 먼저 실행중인 스크립트가 존재하는지 확인함.
	$pname = basename(__FILE__);
	$pid = '/var/run/NmailAgentChild.pid';
	//$pid = '/var/run/NmailAgent.pid';
	if (file_exists($pid))
	{
		list($pid_old) = file($pid);
		if (is_numeric($pid_old))
		{
			ob_start();
			system('ps -fp '.$pid_old);
			$ps = ob_get_contents();
			ob_end_clean();
			if (strpos($ps, $pname) !== false)
			{
				echo "\n[경고]엔메일 에이젠트(Child)가 이미 실행중입니다.\n\n";
				echo $ps;
				echo "\n";
				exit;
			}	// if()
		}	// if()
	}	// if()

	// pid
	$fh=fopen($pid,"w");
	fwrite($fh,getmypid());
	fclose($fh);
}	// if()


################################################################################

$check_sleep_time = 5;		// 확인간격.  기본 5초

################################################################################

set_time_limit(0);
ini_set('memory_limit', '512M');

#echo "Start NmailAgent\n";

$is_debug = false;
if (strtoupper($_SERVER['argv'][1]) == 'DEBUG')
{
	echo "[".date('Y-m-d H:i:s')."] NmailAgent Start! (Debug Mode)\n";
	//echo "...Debug Mode...\n";
	$is_debug = true;
}	// if()

$_last_exec_time = 0;

while(1)
{
	// 실행시간
		$time = time();

	// 60초 간격(1분)으로 실행
	if ($_last_exec_time <= ($time-59))
	{
		if ($is_debug)
			echo "\n[".date('Y-m-d H:i:s')."]\n";

		################################################################################



		// [2012-09-27] 예약발송
			if ($G_SYS['MAIL_SEND_RESERVE_ISUSE'])
				include('NmailAgentChild_mailreserve.inc.php');

            if(strtoupper(substr(PHP_OS, 0, 3)) === 'WIN')
            {
                include('NmailAgentChild_spool_count.win.inc.php');
            }else{
                // [2013-09-06] 발송수 제한 모듈에서 현재 발송대기중인 메일수 보여주기
                #if ($G_SYS['NM_SMTP_SEND_LIMIT'])
                include('NmailAgentChild_spool_count.inc.php');
            }

		################################################################################

		$_last_exec_time = $time;
	}	// if()


	// [2010-09-17]상태 확인
	touch(dirname(__FILE__).'/.nmailagent_daemon');

	// 종료 명령 확인
	$_child_shutdown = dirname(__FILE__).'/.child_shutdown';
	if (file_exists($_child_shutdown))
	{
		if ($is_debug)
			echo "[".date('Y-m-d H:i:s')."] NmailAgent Stop!\n";
		unlink($_child_shutdown);
		exit;		
	}	// if()

	// 일정간격 자동반복(sec)
	sleep($check_sleep_time);

}	// while

?>
