#!/usr/bin/php
<?

	switch ($_SERVER['argv'][1])
	{
		case 'PHP_INI_PATH':
			ob_start();
			phpinfo(INFO_GENERAL);
			$php_info = ob_get_contents();
			ob_end_clean();

			// [2015-04] PHP5.4.x대응 대체함수 적용
			#foreach (split("\n",$php_info) as $line) {
			foreach (explode("\n",$php_info) as $line) {
				// [2015-04] PHP5.4.x대응 대체함수 적용
				#if (eregi('command',$line)) {
				if (preg_match('/command/',$line)) {
				  continue;
				}

				if (preg_match('/thread safety.*(enabled|yes)/Ui',$line)) {
				  $thread_safe = true;
				}

				if (preg_match('/debug.*(enabled|yes)/Ui',$line)) {
				  $debug_build = true;
				}

				// [2015-04] PHP5.4.x대응 대체함수 적용
				#if (eregi("configuration file.*(</B></td><TD ALIGN=\"left\">| => |v\">)([^ <]*)(.*</td.*)?",$line,$match)) {
				if (preg_match("/configuration file.*(<\/B><\/td><TD ALIGN=\"left\">| => |v\">)([^ <]*)(.*<\/td.*)/i",$line,$match)) {
				  $php_ini_path = $match[2];
				}
			}

			echo $php_ini_path;
			break;


		case 'IONCUBE':
			$_u = php_uname();
			$_os = substr($_u,0,strpos($_u,' '));
			$_os_key = strtolower(substr($_u,0,3));

			$_php_version = phpversion();
			$_php_family = substr($_php_version,0,3);

			$_loader_sfix = (($_os_key == 'win') ? '.dll' : '.so');

			$_ln_new="ioncube_loader_${_os_key}_${_php_family}${_loader_sfix}";

			echo $_ln_new;
			break;

		case 'EXT_DIR':
			echo PHP_EXTENSION_DIR;			
			break;
			
		default:
			break;
	}	// switch()

?>