<?

function scanf($msg, $values=array(), $length=64, $isupper=true, $allownull=false)
{
	echo $msg;
	$fp = fopen("/dev/stdin","r");
	$data = trim(fgets($fp,$length));
	fclose($fp);
	if ($isupper)
		$data = strtoupper($data);

	if ($values && $data == '')
	{
		$data = $values[0];
	}	// if()

	if (!$allownull && ($data == '' || ($values && sizeof($values) > 1 && !in_array($data, $values))))
	{
		$data = scanf($msg, $values, $length, $isupper);
	}	// if()

	return $data;	
}	// function()


/*
	linux : uid=48(apache) gid=48(apache) groups=48(apache)
	solaris : uid=60001(nobody) gid=60001(nobody)
*/
function get_uid($id, $ishidden=false)
{
	ob_start();
	if ($ishidden)
	{
		@system('id '.$id);
	} else 
	{
		system('id '.$id);
	}	// if()
	$uid = ob_get_contents();
	ob_end_clean();
	preg_match('/uid=([0-9]+)/', $uid, $mc);
	return $mc[1];
}	// function()

function cmd($cmd, $ishidden=false)
{
	ob_start();
	if ($ishidden)
	{
		@system($cmd);
	} else 
	{
		system($cmd);
	}	// if()
	$res = ob_get_contents();
	ob_end_clean();
	return trim($res);
}	// function()

function alert($msg)
{
	echo "\n[경고] ".$msg."\n\n";
}	// function()

function title($msg)
{
	echo "\n";
	echo "==============================================================================\n";
	echo "= ".$msg."\n";
	echo "==============================================================================\n";	
}	// function()

function get_ioncube_name()
{
	$_u = php_uname();
	$_os = substr($_u,0,strpos($_u,' '));
	$_os_key = strtolower(substr($_u,0,3));

	$_php_version = phpversion();
	$_php_family = substr($_php_version,0,3);

	$_loader_sfix = (($_os_key == 'win') ? '.dll' : '.so');

	$_ln_new="ioncube_loader_${_os_key}_${_php_family}${_loader_sfix}";
	$_ln_new_ts="ioncube_loader_${_os_key}_${_php_family}_ts${_loader_sfix}";

	return array($_ln_new, $_ln_new_ts);	
}	// function()

function get_php_ini_path()
{
	ob_start();
	phpinfo(INFO_GENERAL);
	$php_info = ob_get_contents();
	ob_end_clean();

	// [2015-04] PHP5.4.x대응 대체함수 적용
	#foreach (split("\n",$php_info) as $line) {
	foreach (explode("\n",$php_info) as $line) {
		// [2015-04] PHP5.4.x대응 대체함수 적용
		#if (eregi('command',$line)) {
		if (preg_match('/command/',$line)) {
		  continue;
		}
		// [2015-04] PHP5.4.x대응 대체함수 적용
		#if (eregi("configuration file.*(</B></td><TD ALIGN=\"left\">| => |v\">)([^ <]*)(.*</td.*)?",$line,$match)) {
		if (preg_match("/configuration file.*(<\/B><\/td><TD ALIGN=\"left\">| => |v\">)([^ <]*)(.*<\/td.*)/i",$line,$match)) {
		  $php_ini_path = $match[2];
		}
	}

	return $php_ini_path;
}	// function()

function get_php_ini_dir()
{
	ob_start();
	phpinfo(INFO_GENERAL);
	$php_info = ob_get_contents();
	ob_end_clean();

	// [2015-04] PHP5.4.x대응 대체함수 적용
	#foreach (split("\n",$php_info) as $line) {
	foreach (explode("\n",$php_info) as $line) {
		// [2015-04] PHP5.4.x대응 대체함수 적용
		#if (eregi('command',$line)) {
		if (preg_match('/command/',$line)) {
		  continue;
		}
		// [2015-04] PHP5.4.x대응 대체함수 적용
		#if (eregi("Scan this dir for additional.*(</B></td><TD ALIGN=\"left\">| => |v\">)([^ <]*)(.*</td.*)?",$line,$match)) {
		if (preg_match("/Scan this dir for additional.*(<\/B><\/td><TD ALIGN=\"left\">| => |v\">)([^ <]*)(.*<\/td.*)/i",$line,$match)) {
		  $php_ini_dir = $match[2];
		}
	}

	return $php_ini_dir;
}	// function()

function cmd_grep($data, $str)
{
	$_ex = explode("\n", $data);
	$data2 = '';
	for ($i=0; $i<sizeof($_ex); $i++)
	{
		$_ex[$i] = trim($_ex[$i]);
		if ($_ex[$i] != '' && strpos($_ex[$i], $str) !== false)
			$data2 .= $_ex[$i]."\n";	
	}	// for()
	return $data2;	
}	// function()

?>