#!/usr/bin/php
<?
require_once('install_lib.php');

// 설정파일
$gid = '/var/MailRoot/NMAIL_APACHE_GID';
$id = '/var/MailRoot/NMAIL_APACHE_ID';	

echo "[Nmail Install] 엔메일 동작시 사용될 Apache 웹서버의 소유자 정보 확인\n\n";


// 중복실행체크
if (file_exists($gid) && file_exists($id))
{
	$scan = scanf("관련 정보가 이미 저장되어 있습니다.\nApache 웹서버에서 소유자가 바뀌지 않았다면 다시 설정할 필요가 없습니다.\n다시 설정하시겠습니까? [y/N] : ", array('N','Y'), 2);	
	if ($scan == 'N')
		exit;
}	// if()

$res = cmd('ps -efw');
$res = cmd_grep($res, 'httpd');

// 실행유저
// [2009-06-16] 소유자가 www-data 인 경우도 검출 지원
//preg_match_all('/(^|\n)+([a-z0-9]+)/', $res, $mc);
preg_match_all('/(^|\n)+([a-z0-9-_]+)/', $res, $mc);
#var_dump($mc[2]);
if ($mc[2])
{
	$data = array_count_values($mc[2]);
	arsort ($data);
	reset ($data);
	#var_dump($data);
	$apache_user = 'apache';
	
	foreach ($data as $key=>$val)
	{
		$apache_user = $key;
		break;		
	}	// foreach()	
	echo "Apache 웹서버를 실행하는 User ID는 [".$apache_user."]로 자동검출되었습니다.\n";
	$scan = scanf("위 User ID가 맞습니까? [Y/n] : ", array('Y', 'N'), 2);
} else 
{
	echo "Apache 웹서버를 실행하는 User ID의 자동검출에 실패하였습니다.\n";	
	echo "Apache 웹서버가 실행중인지 확인하시거나 직접 입력하셔야 합니다.\n\n";
	$scan = 'N';
}	// if()
#var_dump($apache_user);
if ($scan == 'N')
{
	while (1)
	{
		$apache_user = scanf("Apache 웹서버를 실행하는 User ID를 직접 입력하여 주십시오.\n일반적으로 apache, nobody, www, daemon 중 하나입니다. : ", array(), 20, false);
		$apache_uid = get_uid($apache_user);
		if (!is_numeric($apache_uid))
		{
			$scan = scanf("입력하신 [".$apache_user."]에서 User UID를 자동검출하지 못했습니다.\n다시 입력하시겠습니까? [Y/n] : ", array('Y', 'N'), 2);
			if ($scan == 'Y')
			{
				continue;
			} else 
			{			
				$apache_uid = scanf("입력하신 [".$apache_user."]의 User UID를 직접 입력하여 주십시오.  ex) 48, 99, ... : ", array(), 5);
			}	// if()
		}	// if()
		break;
	}	// while()
} else 
{
	$apache_uid = get_uid($apache_user);
}	// if()

echo "\n";
echo "Apache 웹서버를 실행하는 User ID : ".$apache_user."\n";
echo "Apache 웹서버를 실행하는 User UID : ".$apache_uid."\n";
echo "\n";
echo "위 정보가 잘못되었을 경우 엔메일 동작시 각종 퍼미션 문제가 발생할 수 있습니다.\n";

$confirm = scanf("위 정보가 정확합니까? [Y/n] : ", array('Y', 'N'), 2);

echo "\n";
if ($confirm == 'Y')
{
	$fp = fopen($gid, "w");
	fwrite($fp, $apache_uid);
	fclose($fp);

	$fp = fopen($id, "w");
	fwrite($fp, $apache_user);
	fclose($fp);

	echo "엔메일 동작시 사용될 퍼미션 정보를 저장하였습니다.\n";
} else 
{
	echo "엔메일 동작시 사용될 퍼미션 정보를 저장하지 않았습니다.\n관련정보를 확인후 다시 실행해보시기 바랍니다.\n";
}	// if()


// 설치경로



?>