#!/usr/bin/php
<?
chdir(dirname(__FILE__));
require_once('../nmail/include/global.php');
require_once("include/mail_lib.php");
require_once('include/admin_lib.php');

$failure = 0;

// db check
if ($G_SYS[DB] == 'oracle') 
{
	$q = 'SELECT SYSDATE';
} else 
{
	$q = 'SELECT NOW()';	
}	// if()
$date = db_get_one($q);
if ($date)
{
	echo "[성공]디비설정이 확인되었습니다.\n";
} else 
{
	echo "[실패]디비설정(include/global_db.php)에 문제가 있습니다.\n확인후 현재 파일을 재실행해보시기 바랍니다.\n";
	$failure++;
}	// if()

// db table check
if ($G_SYS[DB] == 'oracle') 
{
	$q = "SELECT COUNT(*) FROM USER_OBJECTS WHERE OBJECT_NAME = '" . strtoupper($TB['MEMBER']) . "' AND OBJECT_TYPE = 'TABLE'";
} else 
{
	$q = "SHOW TABLES LIKE '".$TB['MEMBER']."'";
}	// if()
$mbrtable = db_get_one($q);
if ($mbrtable)
{
	echo "[성공]회원테이블(".$TB['MEMBER'].")이 확인되었습니다.\n";
} else 
{
	//echo "[실패]회원테이블(".$TB['MEMBER'].")이 생성되지 않았습니다.\n디비 덤프파일 복원작업후 현재 파일을 재실행해보시기 바랍니다.\n";
}	// if()


// xmail check
$cfgs = nm_cfgfileget('server.tab');
if ($cfgs)
{
	echo "[성공]메일엔진 관리자 설정이 확인되었습니다.\n";

	$rootdomain = nm_cfg_val_get($cfgs, 'RootDomain');

	if ($rootdomain == 'domain.com' || !$rootdomain)
	{
		echo "[실패]메일엔진 환경설정(/var/MailRoot/server.tab)에 문제가 있습니다.\n확인후 현재 파일을 재실행해보시기 바랍니다.\n";
		$failure++;
	} else 
	{
		echo "[성공]메일엔진 환경설정이 확인되었습니다.  기본 도메인 : ".$rootdomain."\n";
	}	// if()
} else
{
	echo "[실패]메일엔진 관리자 설정(include/global_db.php)에 문제가 있습니다.\n확인후 현재 파일을 재실행해보시기 바랍니다.\n";
	$failure++;
}	// if()

// [2009-06-26] 설치프로그램 보완
if ($failure == 0)
{
	echo '__NMAIL_PHP_INSTALL_EXEC_OK__';	
}	// if()

?>