#!/usr/bin/php
<?

/*

	[2008-01-22]
-. [메일엔진]메일헤더중 한라인에 1536byte 를 초과하는 항목(받는사람 주소 등)이 있을 경우 메일이 깨지는 오류 수정.

	특징)
			- 파일을 미리 확인하여 문제가 있을때만 변환홤.
			- 변환된 파일명만 화면상에 출력시킴.
			- 파일 저장후에 '수정날짜'를 이전 수정날짜로 유지시킴.
			- 메일서버를 교체하기 이전의 잘못된 데이타만 변환하면 되기 때문에 패치 적용후 1회만 사용하면 됩니다.

		사용예제)
			find /var/MailRoot/domains -type f -name '*.eml' -exec /home/nmail2/tools/mailheader_long_error_fix.php '{}' \;
			

*/

if ($_SERVER['argv'][1] == '')
{
	die("Usage : ".$_SERVER['argv'][0]." filename\n");
}	// if()

if (!file_exists($_SERVER['argv'][1]))
{
	die("존재하지 않는 파일입니다. => ".$_SERVER['argv'][1]."\n");
}	// if()

$fd = fopen($_SERVER['argv'][1], "r");
$fs = filesize($_SERVER['argv'][1]);
$contents = fread($fd, $fs);
$fstat = fstat($fd);
$modtime = $fstat['mtime'];
fclose($fd);

// 헤더만 가져오기
$sp = strpos($contents, "\r\n\r\n");
$plus = 4;
if ($sp === false)
{
	$sp = strpos($contents, "\n\n");
	$plus = 2;
}	// if()

if ($sp !== false)
{
	//$contents2 = ;
	$contents2 = substr($contents, 0, $sp);
	#var_dump($contents2);

	$srp = strrpos($contents2, "\n");
	$header_last_line = substr($contents2, $srp+1);

	if (strlen($header_last_line) == 1535)
	{
		#var_dump(rtrim($contents2).substr($contents, $sp+$plus));
		$fh = fopen($_SERVER['argv'][1], 'w');
		$contents = rtrim($contents2).substr($contents, $sp+$plus);
		fwrite($fh, $contents);
		fclose($fh);
		touch($_SERVER['argv'][1], $modtime);
		echo "Convert - ".$_SERVER['argv'][1]." / ".($fs-strlen($contents))."byte\n";
	}	// if()
}	// if()

?>