#!/usr/bin/php
<?
chdir(dirname(__FILE__));
require_once('../nmail/include/global.php');
require_once("include/mail_lib.php");
require_once('include/admin_lib.php');

/*
	$_SERVER['argv'][5] - ADMIN (관리자일때)
	$_SERVER['argv'][6] - PWDISENC (암호화된 비밀번호일때)
	$_SERVER['argv'][7] - "email1, email2" (포워딩할 메일주소)
	$_SERVER['argv'][8] - 20480 (사용자 메일용량. KB)

	ex)
		./mbr_pop3_add.php DOMAIN USERID POP3_SERVER POP3_USERID POP3_PASSWORD
*/


// 웹상에서의 실행방지.
if ($_SERVER['DOCUMENT_ROOT'] || $_SERVER['SERVER_SOFTWARE'])
{
	die("올바른 URL로 접근하여 주십시오.\n");
}	// if()

// 입력값 확인.
if (!$_SERVER['argv'][1] || !$_SERVER['argv'][2] || !$_SERVER['argv'][3] || !$_SERVER['argv'][4])
{
	die("메일서버의 메일계정에 외부메일(POP3) 설정을 추가하는 명령입니다.\n  사용방법) ".$_SERVER['PHP_SELF']." 'DOMAIN' 'USERID' 'POP3_SERVER' 'POP3_USERID' 'POP3_PASSWORD'\n");
}	// if()

// set
	$G_SYS['MAIL_DOMAIN'] = strtolower(trim($_SERVER['argv'][1]));
	$AUTH['auth_m_id'] = addslashes(strtolower(trim($_SERVER['argv'][2])));
	$_POST['p3_server'] = addslashes($_SERVER['argv'][3]);
	$_POST['p3_id'] = addslashes($_SERVER['argv'][4]);
	$_POST['p3_pwd'] = addslashes($_SERVER['argv'][5]);
	$_POST['p3_authtype'] = addslashes($_SERVER['argv'][6]);
	$_POST['p3_leave'] = addslashes($_SERVER['argv'][7]);

	$dm = get_domain($G_SYS['MAIL_DOMAIN']);
	$q = "SELECT m_no FROM ".$TB['MEMBER']." WHERE m_id='".$AUTH['auth_m_id']."' AND d_no='" . $dm['d_no'] . "'";
	$AUTH['auth_m_no'] = db_get_one($q);


// [2006-03-08] 메일서버가 동작중인지 확인
	mail_server_check_limit();		

	// 중복여부 체크
	$p3_cnt = db_get_one("SELECT COUNT(*)  FROM " . $TB['POP3'] . " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND p3_server='" . $_POST['p3_server'] . "' AND p3_id='" . $_POST['p3_id'] . "'");
	if ($p3_cnt > 0)
		die("실패 : 이미 추가된 외부 메일입니다.  ===> ".$G_SYS['MAIL_DOMAIN']." - ".$AUTH['auth_m_id']." => ".$_POST['p3_server']." - ".$_POST['p3_id']."\n");

// data
	$_POST['p3_server'] = to_db_str($_POST['p3_server'], 255);
	$_POST['p3_id'] = to_db_str($_POST['p3_id'], 255);
	$_POST['p3_pwd'] = to_db_str($_POST['p3_pwd'], 255);
	if($_POST['p3_authtype']==="SSL"){
		$_POST['p3_authtype'] = "POP3S";
	}else{
		$_POST['p3_authtype'] = "CLR";
	}

	$sql = "
		INSERT INTO
			" . $TB['POP3'] . "
			(p3_no, m_no, p3_server, p3_id, p3_pwd, p3_authtype, p3_leave)
		VALUES
			(".db_sqc_next($TB['POP3']).", '" . $AUTH['auth_m_no'] . "', '" . $_POST['p3_server'] . "', '" . $_POST['p3_id'] . "', '" . $_POST['p3_pwd'] . "', '" . $_POST['p3_authtype'] . "', '" . $_POST['p3_leave'] . "')
		";
	db_query($sql);
	


// 웹메일용 처리
	if($_POST['p3_leave']==="Leave"){
		$_POST['p3_authtype'] .= ",Leave";
	}
	pop3_add($AUTH['auth_m_id'], $_POST['p3_server'], $_POST['p3_id'], $_POST['p3_pwd'], $_POST['p3_authtype']);

	echo "추가성공 : ".$G_SYS['MAIL_DOMAIN']." - ".$AUTH['auth_m_id']." => ".$_POST['p3_server']." - ".$_POST['p3_id']."\n";


#require_once('include/global_end.php');
?>