#!/usr/bin/php
<?
chdir(dirname(__FILE__));
require_once('../nmail/include/global.php');


// 웹상에서의 실행방지.
if ($_SERVER['DOCUMENT_ROOT'] || $_SERVER['SERVER_SOFTWARE'])
{
	die("Access Denied");
}	// if()


// set
set_time_limit(0);


// check
if ($G_SYS[DB] == 'oracle') 
{
	die("[Nmail]Oracle DB의 자동복구는 지원되지 않습니다.\n");
}	// if()


// db dump restore
	echo "[Nmail]MySQL DB의 자동복구작업을 시작합니다.\n\n  주의)\n  서버사양이나 DB의 크기에 따라 많은 시간이 소요될 수 도 있습니다.\n  복구작업도중 중단할 경우 예기치 못한 문제가 발생할 수 있으니 중단하지 말고 기다려 주십시오.\n\n";

	$time_start = getmicrotime();

	// db table check
	$q = "SHOW TABLES";
	$_tabs = db_get_rows($q, true);
	$_each = each($_tabs);
	$tabs = $_each['value'];
	for ($i=0; $i<sizeof($tabs); $i++)
	{
		$q = "CHECK TABLE `".$tabs[$i]."`";
		echo "  ".$q." ... ";
		flush();
		$row = db_get_row($q);
		echo "[".$row['msg_text']."] (".round(getmicrotime() - $time_start,4) . "sec)\n";

		if ($row['msg_text'] != 'OK')
		{
			$q = "REPAIR TABLE `".$tabs[$i]."`";
			echo "  ".$q." ... ";
			flush();
			$row = db_get_rows($q, true);
			echo "[".implode('|', $row['msg_text'])."] (".round(getmicrotime() - $time_start,4) . "sec)\n";

			if (!in_array('OK', $row['msg_text']))
			{
				die("\n알 수 없는 원인으로 자동복구가 실패하였습니다.\n화면상에 보여진 에러메세지와 함께 문의주시기 바랍니다.\n");
			}	// if()
		}	// if()
	}	// for()

	echo "\n자동복구가 완료되었습니다. ( " . round(getmicrotime() - $time_start,4) . "sec )\n";

?>