<?
require_once('include/global.php');
require_once('include/addr_lib.php');
require_once('conf.inc.php');

$layout = ($_GET['is_iframe']) ? 'iframe' : 'self';
nskinset('webmail', 'addr_outlook_ok.html', $layout);
set_time_limit(1200);
page_loading_view("주소록 파일을 분석하고 있습니다.");

// set
	$CFG['TITLE'] = "<b>Outlook 주소록</b> >> <b>가져오기결과</b>";
	$CFG['MAX_VIEW'] = 500;		// 화면상에 출력될 최대 결과값.


// check
	if (!$_POST['ao_addr_group'] || !$_POST['ao_type'])
		msg('올바른	URL로 접근하여 주십시오');

	// [2006-07-11] 공용주소록 구분
	set_addr_no_isshare($_POST['ao_addr_group'], $_GET['share']);

	limit_adg_no($_POST['ao_addr_group']);

	// [2006-07-14] 공용주소록은 등록자와 관리자만 수정가능함.
	if ($G['adg_no_isshare'] && $AUTH['auth_m_level'] < $G['LEVEL']['admin'])
		msg("공용주소록 그룹에 대한 주소록 가져오기는 관리자만 할 수 있습니다.");


// data
	$DEBUG['getcsv']['start'] = getmicrotime();
	$i = 0;
	$rows = array();
	$fp = fopen ($_FILES['ao_file']['tmp_name'],"r");
	while ($rows[$i] = fgetcsv ($fp, 2048, ","))
	{
		// [2007-01-02] UTF-8
		if (strtoupper($G_SYS[CHARSET]) == 'UTF-8')
		{
			foreach ($rows[$i] as $key=>$val)
			{
				$rows[$i][$key] = iconv_fix('EUC-KR', $val, 'UTF-8');				
			}	// foreach()
		}	// if()

	   $num = count ($rows[$i]);
	   $i++;
	}	// while()
	fclose ($fp);
	$rows_cnt = sizeof($rows);
	$DEBUG['getcsv']['exec'] += getmicrotime() - $DEBUG['getcsv']['start'];


	if (!is_array($rows[0]) || sizeof($rows[0]) < 1)
		msg("내보내기한 주소록 파일에 주소록이 없습니다.\n\n정상적으로 내보내기를 하였는지 확인후 다시 시도해보시기 바랍니다.");


	$DEBUG['gettitle']['start'] = getmicrotime();
	$ad = array();
	for ($i=0; $i<sizeof($rows[0]); $i++)
	{
		if ($_POST['ao_type'] == 'O')		// Outlook
		{
			// [2006-06-14] Outlook 2000 지원.
			switch (trim($rows[0][$i]))
			{
				case "성":
					$ad['ad_name_1'] = $i;
					break;

				case "이름":
					$ad['ad_name_2'] = $i;
					break;

				case "전자 메일 주소":
				case "전자 우편 주소":		// 2000
					$ad['ad_email'] = $i;
					break;

				case "휴대폰":
				case "휴대용 전화":		// 2000
					$ad['ad_mobile'] = $i;
					break;

				case "회사":
					$ad['ad_office'] = $i;
					break;

				case "근무지 우편 번호":
					$ad['ad_addr_1'] = $i;
					break;

				case "근무지 시/도":
					$ad['ad_addr_2'] = $i;
					break;

				case "근무지 구/군/시":
					$ad['ad_addr_3'] = $i;
					break;

				case "근무지 주소 번지":
					$ad['ad_addr_4'] = $i;
					break;

				case "근무처 전화":
				case "근무지 전화":		// 2000
					$ad['ad_tel'] = $i;
					break;

				case "근무지 팩스":
					$ad['ad_fax'] = $i;
					break;

				case "웹 페이지":
					$ad['ad_homepage'] = $i;
					break;

				case "메모":
					$ad['ad_memo'] = $i;
					break;

				default:
					break;
			}	// switch()
		} else	// Outlook Express
		{
			switch (trim($rows[0][$i]))
			{
				case "전체 이름":
					$ad['ad_name_1'] = $i;
					break;

				case "전자 메일 주소":
					$ad['ad_email'] = $i;
					break;

				case "휴대폰":
					$ad['ad_mobile'] = $i;
					break;

				case "회사":
					$ad['ad_office'] = $i;
					break;

				case "우편 번호(회사)":
					$ad['ad_addr_1'] = $i;
					break;

				case "시/도(회사)":
					$ad['ad_addr_2'] = $i;
					break;

				case "구/군/시(회사)":
					$ad['ad_addr_3'] = $i;
					break;

				case "주소(회사)":
					$ad['ad_addr_4'] = $i;
					break;

				case "회사 전화":
					$ad['ad_tel'] = $i;
					break;

				case "회사 팩스":
					$ad['ad_fax'] = $i;
					break;

				case "개인 웹 페이지":
					$ad['ad_homepage'] = $i;
					break;

				case "메모":
					$ad['ad_memo'] = $i;
					break;

				default:
					break;
			}	// switch()
		}	// if()
	}	// for()
	$DEBUG['gettitle']['exec'] += getmicrotime() - $DEBUG['gettitle']['start'];


	$DEBUG['getaddr']['start'] = getmicrotime();
	$insert_cnt = 0;
	$result = array();
	$result_cnt = 0;
	for ($i=1; $i<$rows_cnt; $i++)
	{
		// input data
			$input['ad_name'] = addslashes($rows[$i][$ad['ad_name_1']] . $rows[$i][$ad['ad_name_2']]);
			$input['ad_email'] = addslashes($rows[$i][$ad['ad_email']]);
			$input['ad_mobile'] = addslashes($rows[$i][$ad['ad_mobile']]);
			$input['ad_office'] = addslashes($rows[$i][$ad['ad_office']]);
			$input['ad_addr'] = addslashes(trim($rows[$i][$ad['ad_addr_1']] . ' ' . $rows[$i][$ad['ad_addr_2']] . ' ' . $rows[$i][$ad['ad_addr_3']] . ' ' . $rows[$i][$ad['ad_addr_4']]));
			$input['ad_tel'] = addslashes($rows[$i][$ad['ad_tel']]);
			$input['ad_fax'] = addslashes($rows[$i][$ad['ad_fax']]);
			$input['ad_homepage'] = addslashes($rows[$i][$ad['ad_homepage']]);
			$input['ad_memo'] = addslashes($rows[$i][$ad['ad_memo']]);

			// check
			$error = "";
			$res_code = 'FAILED';
			if (!$input['ad_name'] && !$input['ad_office'] && !$input['ad_email'])		// 주소록 형식 검사.
			{
				continue;
			} else if (!$input['ad_email'])		// 이메일 입력여부 검사.
			{
				$error = "이메일이 누락되었습니다.";
			} else if (!isemail($input['ad_email']))		// 이메일 주소 검사.
			{
				$error = "이메일 주소가 잘못되었습니다.";
			} else 
			{
				// 중복여부 체크
				// [2008-05-27] 같은 그룹내에서만 중복체크하도록 개선
					if (!$G_SYS['ADDR_DUPLICATE_CHK_SKIP'])
					{
						$ad_email_cnt = db_get_one("
								SELECT
									COUNT(ad.ad_no)
								FROM
									" . $TB['ADDR_GROUP'] . " adg,
									" . $TB['ADDR'] . " ad
								WHERE
									adg." . get_addr_group_where() . "
									AND adg.adg_no=ad.adg_no
									AND ad.adg_no='" . $_POST['ao_addr_group'] . "'
									AND ad.ad_email='" . $input['ad_email'] . "'
								");
					} else 
					{
						$ad_email_cnt = 0;
					}	// if()
					if ($ad_email_cnt > 0)
					{
						#$error = "이미 추가된 이메일입니다.";
						$res_code = 'DUPLICATE';
					} else 
					{
						// db insert
							$_POST['ao_addr_group'] = to_db_str($_POST['ao_addr_group'], 20);
							$input['ad_name'] = to_db_str($input['ad_name'], 50);
							$input['ad_email'] = to_db_str($input['ad_email'], 255);
							$input['ad_mobile'] = to_db_str($input['ad_mobile'], 20);
							$input['ad_office'] = to_db_str($input['ad_office'],	50);
							$input['ad_addr'] = to_db_str($input['ad_addr'], 255);
							$input['ad_tel'] = to_db_str($input['ad_tel'], 20);
							$input['ad_fax'] = to_db_str($input['ad_fax'], 20);
							$input['ad_homepage'] = to_db_str($input['ad_homepage'], 255);
							$input['ad_memo'] = to_db_str($input['ad_memo'], $G_SYS['DB_TEXT']);

							$sql = "
								INSERT INTO
									" .	$TB['ADDR']	. "
									( ad_no	, adg_no , ad_name , ad_email ,	ad_mobile ,	ad_office ,	ad_addr	, ad_tel , ad_fax ,	ad_homepage	, ad_memo )
								VALUES
									( ".db_sqc_next($TB['ADDR']).", '" . $_POST['ao_addr_group']	. "', '" . $input['ad_name'] . "', '" .	$input['ad_email'] . "', '"	. $input['ad_mobile'] .	"',	'" . $input['ad_office'] . "',	'" . $input['ad_addr'] . "', '"	. $input['ad_tel'] . "', '"	. $input['ad_fax'] . "', '"	. $input['ad_homepage']	. "', '" . $input['ad_memo'] . "' )
								";
							#vd($sql);
							db_query($sql);
							$insert_cnt++;
							$res_code = 'ADD';
					}	// if()
			}	// if()

			// 서버 부하를 방지하기 위해 1000건 이상은 보여주지 않음.
			if (sizeof($result) < $CFG['MAX_VIEW'])
			{
				$result[] = array(
					'ad_name'=>stripslashes($input['ad_name']),
					'ad_email'=>stripslashes($input['ad_email']),
					'ad_office'=>stripslashes($input['ad_office']),
					'error'=>$error,
					'res_code'=>$res_code
					);
			}	// if()
			$result_cnt++;
	}	// for()
	$DEBUG['getaddr']['exec'] += getmicrotime() - $DEBUG['getaddr']['start'];


// skin view
	page_loading_view_hidden();
	include($NSKIN['view_layout']);

	// [2008-08-22] 주소록 그룹이 좌측에 보여지는 스킨일때
	if ($_GET['is_iframe'])
		nm_iframe_load('_nm_address_list_frame', '_nm_address_list_title', $CFG['TITLE']);

require_once('include/global_end.php');
?>