<?
require_once('include/global.php');
require_once('include/pager.php');
require_once('sadmin_conf.inc.php');


// set
	$CFG['TITLE'] = '<b>메일서버관리</b> >> <b>편지지 관리</b>';


// data

	// search
		$q_where = " AND l.lg_no=lg.lg_no ";
		if ($_GET['s_word'])
		{
			set_q_search($_GET['s_word']);
			$q_where .= " AND ( lg.lg_name LIKE '%" . $_GET['s_word'] . "%' OR l.l_name LIKE '%" . $_GET['s_word'] . "%' OR l.l_memo LIKE '%" . $_GET['s_word'] . "%' ) ";
			$v_s_word = htmlspecialchars_fix(stripslashes($_GET['s_word']));
		}	// if()

		if ($_GET['s_lg_no'])
			$q_where .= " AND l.lg_no='".$_GET['s_lg_no']."' ";


	// sort
		$CFG['ADMIN_LETTER_FIELD'] = array(
				'lg.lg_name' => '편지지 그룹',
				'l.l_name' => '이름',
				'l.l_sort' => '출력순서',
				'l.l_isuse' => '사용여부',
				'l.l_memo' => '메모',
				'l.l_regdate' => '등록일자',
				'l.l_send_cnt' => '사용수',
				'l.l_lastsenddate' => '마지막사용일자'
				);
		$order_set = get_order(array_keys($CFG['ADMIN_LETTER_FIELD']), 'l.l_no', $_GET['s_key'], $_GET['s_key2']);
		$order_img = get_order_img(array_keys($CFG['ADMIN_LETTER_FIELD']), $_GET['s_key'], $_GET['s_key2'], false, 'common_skin');		// array

	// db - pager
		$DEBUG['db_cnt']['start'] = getmicrotime();
		$pager_params['totalItems'] = db_get_one("
			SELECT 
				COUNT(*) 
			FROM 
				" . $TB['LETTER'] . " l,
				" . $TB['LETTER_GROUP'] . " lg
			WHERE 
				1=1
				" . $q_where
			);
		$pager_params['perPage'] = 20;

		$DEBUG['db_cnt']['exec'] += getmicrotime() - $DEBUG['db_cnt']['start'];

		// [2016-01-11] PHP 5버전대에서 Ampersand가 DEPRECATED처리되어 &삭제
		#$pager = &new Pager_Sliding($pager_params);
		// [2016-01-11] Ampersand가 DEPRECATED관련하여 PEAR Pager라이브러리 업그레이드 소스적용  
		#$pager = new Pager_Sliding($pager_params);
		$pager = Pager::factory($pager_params);
		$pager_links = $pager->getLinks();
		$pager_limit = get_pager_limit($pager->getCurrentPageID(), $pager_params['perPage']);

	// db - select
		$DEBUG['db_select']['start'] = getmicrotime();
		$sql = "
			SELECT
				l.*, lg.lg_name
			FROM
				" . $TB['LETTER'] . " l,
				" . $TB['LETTER_GROUP'] . " lg
			WHERE
				1=1
				" . $q_where . "
			ORDER BY
				" . $order_set['query'] . "
			";
		$rows = db_get_rows($sql, $pager_limit['from'], $pager_limit['count']);
		$DEBUG['db_select']['exec'] += getmicrotime() - $DEBUG['db_select']['start'];

	// process data
		$DEBUG['db_fetch_all']['start'] = getmicrotime();
		for ($i=0; $i<sizeof($rows); $i++)
		{
			$rows[$i]['l_memo'] = han_substr(htmlspecialchars_fix($rows[$i]['l_memo']), 30);
			$rows[$i]['l_regdate'] = substr($rows[$i]['l_regdate'], 0, 10);
		}	// for()
		$rows = db_rows_fieldtokey($rows);
		$rows_cnt = getarraycount($rows['l_name']);

		$DEBUG['db_fetch_all']['exec'] += getmicrotime() - $DEBUG['db_fetch_all']['start'];

	// 편지지 관리수
		$admin_letter_all_cnt = number_format($pager_params['totalItems']);


	// 편지지 그룹
	$q = "SELECT * FROM ".$TB['LETTER_GROUP']." ORDER BY lg_sort, lg_name";
	$letter_group = db_get_rows($q, true);
	if ($letter_group)
	{
		$select_letter_group = select_list_value($_GET['s_lg_no'], $letter_group['lg_name'], $letter_group['lg_no'], '전체 편지지 그룹', 0, 1);
	}	// if()


	// view
		$row = array();
		$view = array();

// skin view
	nskinset('sadmin', 'admin_letter_list.html');		// 컨텐츠
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>