
var di_startdate_last;

function diary_form()
{
	var form = document.list;
	if (form_chk_value(form.di_subject, "제목") == false) return;
	if (form_chk_value(form.di_startdate, "시작날짜") == false) return;
	if (form_chk_date(form.di_startdate, "시작날짜") == false) return;
	if (form_chk_value(form.di_enddate, "종료날짜") == false) return;
	if (form_chk_date(form.di_enddate, "종료날짜") == false) return;
	if (form_compare_date(form.di_startdate,form.di_enddate, "기간") == false) return;

	// 특정시간일때만 검사함.
	if (form.di_isallday.checked == true)
	{
		// 시작시간과 종료시간 비교
		if (form.di_startdate.value == form.di_enddate.value)		// 1일만 선택할 경우에 검사함.
		{
			var starttime_h = parseInt(form.di_starttime_h.value, 10);
			var starttime_m = parseInt(form.di_starttime_m.value, 10);
			var endtime_h = parseInt(form.di_endtime_h.value, 10);
			var endtime_m = parseInt(form.di_endtime_m.value, 10);
			if (starttime_h >= endtime_h)
			{
				if ( ((starttime_h == endtime_h)&&(starttime_m >= endtime_m)) || (starttime_h != endtime_h) )
				{
					alert("시작시간은 종료시간보다 빠른시간이어야 합니다.\n\n확인후 다시 지정하십시오.");
					form.di_starttime_h.focus();
					return;
				}
			}
		}
	}
	form.submit();
}	// function

function set_di_isallday(checked)
{
	var form = document.list;

	if (checked == true)		// 하루종일
	{
		form.di_starttime_h.disabled = true;
		form.di_starttime_m.disabled = true;
		form.di_endtime_h.disabled = true;
		form.di_endtime_m.disabled = true;
		// [2006-12-19] 시간을 00:00 ~ 23:50 으로 변경.
		form.di_starttime_h[0].selected = true;
		form.di_starttime_m[0].selected = true;
		form.di_endtime_h[form.di_endtime_h.length-1].selected = true;
		form.di_endtime_m[form.di_endtime_m.length-1].selected = true;
	} else
	{
		form.di_starttime_h.disabled = false;
		form.di_starttime_m.disabled = false;
		form.di_endtime_h.disabled = false;
		form.di_endtime_m.disabled = false;
	}	// if()
}

function diary_del(di_no)
{
	if (confirm('삭제하시겠습니까?'))
	{
		location.href=nmpath + "/diary_del_ok.php?cno[]=" + di_no + "&is_window_close=1";
	}
}

// [2006-12-19] 시작날짜가 종료날짜보다 후일일때는 시작날짜를 기준으로 종료날짜를 갱신함.
function di_startdate_chage()
{
	var form = document.list;
	if (form_chk_date(form.di_startdate, "시작날짜") == false) return;
	if (form.di_enddate.value == "")
	{
		form.di_enddate.value = form.di_startdate.value;
	} else 
	{
		var days_start = get_date_days(form.di_startdate.value);
		var days_end = get_date_days(form.di_enddate.value);
		var days_start_last = get_date_days(di_startdate_last);
		var days_diff = days_end - days_start_last;
		if (days_diff != 0)
		{
			diff_dt = new Date(((days_start+days_diff)/1000)*86400000);
			form.di_enddate.value = diff_dt.getFullYear() + "-" + (diff_dt.getMonth()+1) + "-" + diff_dt.getDate();
		} else if (days_end < days_start)
		{
			form.di_enddate.value = form.di_startdate.value;
		} else if (days_end == days_start_last)
		{
			form.di_enddate.value = form.di_startdate.value;
		}
	}	// if()		
	di_startdate_last = form.di_startdate.value;
}	// function()

function get_date_days(date_str)
{
	date_sp = date_str.split('-');
	dt = new Date(date_sp[0], (date_sp[1]-1), date_sp[2]);
	//alert(date_str +" / " + dt.getFullYear() + "-" + (dt.getMonth()+1) + "-" + dt.getDate())
	days_t = new String(dt/86400000);
	days=parseInt(days_t*1000, 10);
	return days;
}	// function()

window.onload = function()
{
	set_di_isallday(document.list.di_isallday.checked);
	di_startdate_last = document.list.di_startdate.value;
}
