<?

	// Duplicate check
		if ( defined("_INCLUDED_PAGE") ) return;		
		define("_INCLUDED_PAGE", "1");


	/** ////////////////////////////////////////////////////////////////////////////
	Display Page Process

	수정 : 페이징준비 부분 함수화(disPgProc)
	수정 : 전체 데이타수의 쿼리문 전체를 함수외부에서 넘겨받음.(Join 조건절을 고려함)
	*/

	function disPgProc($q_count, $szPage, &$strTrans, $sort, $is_query=true)
	{

		global $db;
		global $whlPgCount;
		global $reqPage;
		global $sRecord;
		global $eRecord;

		global $rowCount;		// 전체 데이타수
		global $pageMaxNo;		// 현재 페이지에서 가장 큰 번호
		global $limitOffset;
		global $limitRows;

		$numargs = func_num_args();		// 전달받은 갯수
		$arg_list = func_get_args();		// 전달받은 목록

		// 전체 데이타수
		if ($is_query) {
			$rowCount = db_get_one($q_count);

		}else {
			$rowCount = $q_count;
		}	// if()

		// [disPgCount] calculate whole page count
		$whlPgCount = $rowCount == 0 ? 1 : ($rowCount % $szPage) > 0 ?
		(int)($rowCount / $szPage) + 1 : (int)($rowCount / $szPage);

		// [disPgCount] check now required page
		if (!$reqPage) $reqPage = 1;
		if ($reqPage > $whlPgCount) $reqPage = $whlPgCount;

		// [disPgCount] determine start, end record number
		if ($sort == "ASC")		// 데이타가 처음부터 시작될때.  ex) 1~10
		{			
			$sRecord = $reqPage == 1 ? 1 : ($reqPage - 1) * $szPage + 1;
			$eRecord = $sRecord == 1 ? $szPage : ($sRecord + ($szPage - 1));
		}else		// 데이타가 마지막부터 시작될때.  ex) 120~111
		{			 
			$sRecord = $reqPage == 1 ? $rowCount-$szPage+1 : $rowCount - ($reqPage*$szPage) +1;
			$eRecord = $sRecord == $rowCount-$szPage+1 ? $rowCount : ($sRecord + $szPage -1);
		}	// if()

		// mysql limit
		$limitOffset = (($reqPage*$szPage) - $szPage);
		$limitRows = $szPage;


		// page per maxNo
		$pageMaxNo = $rowCount  - ( ($szPage * $reqPage) - $szPage );

		//echo "<br>[Page] rowCount = " . $rowCount . "<br>";

	}	// function()



	/** ////////////////////////////////////////////////////////////////////////////
	display page count

	$whlPgCount : page of whole
	$reqPage    : now required page
	$strTrans   : string for transfer
	$tab        : display tab count

	*/
	function disPgCount($whlPgCount, $reqPage, $strTrans, $tab, $return=0)
	{

		$szBlock = 10;	// 출력될 페이지 수

		$hfSzBlock = (int)($szBlock / 2);

		//$strFile = getenv(PHP_SELF);
		$strFile = $_SERVER['PHP_SELF'];
		$sPage;
		$ePage;
		$iCount;
		$value;

		if ($reqPage - ($hfSzBlock + 1) > 0 && $reqPage + $hfSzBlock <= $whlPgCount)
		{
			$sPage = $reqPage - $hfSzBlock;
			$ePage = $reqPage + ($hfSzBlock - 1);
		}
		else
		{
			$sPage = ($reqPage - ($hfSzBlock + 1)) < 1 ? 1 : $whlPgCount - ($szBlock - 1);
			$ePage = ($reqPage - ($hfSzBlock + 1)) < 1 ? ($szBlock <= $whlPgCount ? $szBlock : $whlPgCount) : $whlPgCount;
		}

		if ($sPage < 1) $sPage = 1;		// 마이너스 페이지가 나오는것 예방.

		if ($reqPage > 1)
		{
			tab($tab);
			$value .= "<a href = '$strFile?reqPage=1$strTrans'><span class=\"glyphicon glyphicon-chevron-left\" aria-hidden=\"true\"></span></a>\n";
			tab($tab);
			$value .= "<a href = '$strFile?reqPage=".(string)($reqPage - 1)."$strTrans'>이전</a>\n";
		}else
		{
			tab($tab);
			$value .= "<span class=\"glyphicon glyphicon-chevron-left\" aria-hidden=\"true\"></span> \n";
			tab($tab);
			$value .= "이전\n";
		}

		for ($iCount = $sPage; $iCount <= $ePage; $iCount++)
		{
			tab($tab);
			if ($reqPage == $iCount) $value .= "<font color='red'><b>$iCount</b></font>\n";
			else $value .= "<a href = '$strFile?reqPage=$iCount$strTrans'>$iCount</a>\n";
		}
		
		if ($reqPage < $whlPgCount)
		{
			tab($tab);
			$value .= "<a href = '$strFile?reqPage=".(string)($reqPage + 1)."$strTrans'>다음</a>\n";
			tab($tab);
			$value .= "<a href = '$strFile?reqPage=$whlPgCount$strTrans'><span class=\"glyphicon glyphicon-chevron-right\" aria-hidden=\"true\"></span></a>\n";
		}else
		{
			tab($tab);
			$value .= "다음\n";
			tab($tab);
			$value .= "<span class=\"glyphicon glyphicon-chevron-right\" aria-hidden=\"true\"></span>\n";
		}

		if ($return)
		{
			return($value);
		}else
		{
			echo($value);
		}	// if()
	}


	/** ////////////////////////////////////////////////////////////////////////////
	print TAB
		- 소스보기시 탭으로 정렬시켜주는 기능.
	*/
	function tab($cnt)
	{ for ($iCount = 0; $iCount < $cnt; $iCount++) print "\t"; }

?>