<?

// 중복 include 방지
	if ( defined("_INCLUDED_QUERYSTRING") ) return;		
	define("_INCLUDED_QUERYSTRING", "1");

	/*
		- 유의사항 -
		form 전달방식이 get일 경우 action에 사용된 querystring은 자동소멸된다.
		따라서 get방식 대신 javascript의 location을 사용해야한다.

		function form_submit()
		{
			var url;
			url = '<?= $PHP_SELF ?>?<?= querystring_cut($cfg_qs, "cate1", "cate2") ?>&b_bno=<?= $b_bno ?>&save=<?= $save ?>';
			url = url + '&b_title=' + escape(document.write.b_title.value);		// 문자열의 경우 값을 넘겨받는곳에서 unescape()해줘야함.
			url = url + '&cate1=' + form.cate1.options[form.cate1.selectedIndex].value;
			location.href=url;
		}

	*/



	### [querystring] 연관되는 페이지에 일관된 QueryString 사용하기 ###

		function querystring($ar_qs_text, $ar_qs_value)
		{
			unset($qs);
			for ($i=0; $i<sizeof($ar_qs_text); $i++)
			{
				if (strlen($ar_qs_value[$i]) > 0)
				{
					if ( ($i > 0) && (strlen($qs) > 0) ) $qs .= "&";		// 두번째이고, 앞에 이미 삽입된 항목이 있을때만 '&'를 붙여줌.
					$qs .= $ar_qs_text[$i] . "=" . urlencode($ar_qs_value[$i]);
				}
			}
			if (strlen($qs) < 1) $qs = "tmp=tmp";		// 구문에러를 방지함.
			return $qs;
		}

		/* --------- 사용예 ---------
			unset($ar_qs_text);
			unset($ar_qs_value);

			$ar_qs_text = array("table", "keyset", "searchword", "reqPage");
			$ar_qs_value = array($table, $keyset, $searchword, $reqPage);

			$cfg_qs = querystring($ar_qs_text, $ar_qs_value);
			echo "<br>" . $cfg_qs . "<br>";		// table=TB_IB_ASDF1&reqPage=2&lid=busan

			<form action="read.php?<?= $cfg_qs ?>&read_no=<?= $read_no ?>">
				// action="read.php?table=TB_IB_ASDF1&reqPage=2&lid=busan&read_no=5;
		*/


	
	### [querystring_cut] QueryString 에서 지정된 값 제외시키기  ###

		function querystring_cut($QueryString)
		{
			unset($return_qs);		// 반환되는 QueryString

			$numargs = func_num_args();		// 제외시킬 QueryString 수
		    $arg_list = func_get_args();		// 제외시킬 QueryString 값
		    // [2015-04] PHP5.4.x대응 대체함수 적용
			#$sp_qs = split("&", $QueryString);		// ex) table=TEST, ...
			$sp_qs = explode("&", $QueryString);		// ex) table=TEST, ...

			for ($i=0; $i<sizeof($sp_qs); $i++)
			{
				// [2015-04] PHP5.4.x대응 대체함수 적용
				#$sp_qs2 = split("=", $sp_qs[$i]);		// ex) table, TEST
				$sp_qs2 = explode("=", $sp_qs[$i]);		// ex) table, TEST

				for ($j=1; $j<$numargs; $j++)
				{
					if ($sp_qs2[0] == $arg_list[$j])
					{
						$chk_arg = "OK";		// 현재 항목이 제외시킬 QueryString과 일치할때
						break;
					}	// if()
				}	// for()

				if ($chk_arg != "OK")
				{
					if ( ($i != 0) && (strlen($return_qs) > 0) ) $return_qs .= "&";		// 두번째이고, 앞에 이미 삽입된 항목이 있을때만 '&'를 붙여줌.
					$return_qs .= $sp_qs[$i];		// 반환될 QueryString에 추가함
				}	// if()
				unset($chk_arg);
			}	// for()

			if (strlen($return_qs) < 1) $return_qs = "tmp=tmp";		// 구문에러를 방지함.
			return($return_qs);
		}	// function()


		/* --------- 사용예 ---------

			echo "<br>" . $cfg_qs . "<br>";		// table=TB_IB_ADMIN15&i_kind=repair&cate1=30&cate2=NPTN

			echo querystring_cut($cfg_qs, "cate1", "cate2");		// table=TB_IB_ADMIN15&i_kind=repair 

		*/

		/* --------- 사용예 2 ---------

			echo "<br>" . $cfg_qs . "<br>";		// table=TB_IB_ADMIN15&keyset=b_title&searchword=테스트
		
			<a href="boardList.php?<?= querystring_cut($cfg_qs, "keyset", "searchword") ?>">검색결과초기화</a>
				
			// 이때 검색결과초기화 링크 클릭시 넘어가는 값은 [ table=TB_IB_ADMIN15 ] 뿐이다.

		*/





	/* --------- QueryString 적용사례 ---------
		* [querystring] 연관되는 페이지에 일관된 QueryString 사용하기
		* [querystring_cut] QueryString 에서 지정된 값 제외시키기

		
		[적용사례시작]
			<a href="mail_list.php?local_id=busan&reqPage=2">게시판 2페이지</a>		// 이 링크를 클릭했다고 가정함.
			


		[config.php] 환경설정 파일
			
			### Query String 설정 ###
				include("querystring.php");		// QueryString 제어 함수

				$ar_qs_text = array("local_id", "reqPage");
				$ar_qs_value = array($local_id, $reqPage);

				$cfg_qs = querystring($ar_qs_text, $ar_qs_value);		// $cfg_qs = "local_id=busan&reqPage=2"



		[list.php] 목록 파일
			<? include("config.php");		// 환경설정 ?>

			<a href="read.php?<?= $cfg_qs ?>&read_no=<?= $read_no ?>">본문읽기링크</a>
				// href="read.php?local_id=busan&reqPage=2&read_no=5"



		[read.php] 목록 파일
			<? include("config.php");		// 환경설정 ?>	

			<form name=del method=post action="del.php?<?= $cfg_qs ?>&read_no=<?= $read_no ?>">
				// action="read.php?local_id=busan&reqPage=2&read_no=5"



		[del.php] 삭제 파일
			<? include("config.php");		// 환경설정 ?>	

			삭제처리후...

			<meta http-equiv="refresh" content="0; url='list.php?<?= querystring_cut($cfg_qs, "read_no") ?>'">
				// url='list.php?local_id=busan&reqPage=2'


		[참고]
			-. querystring_cut($cfg_qs, "read_no")  의 경우... 여러개의 QueryString을 제외할수도 있음.
				ex) querystring_cut($cfg_qs, "read_no", "reqPage", "local_id", ....)


	*/



?>