<?
	require_once('include/global.php');
	require_once('include/mail_lib.php');
	require_once('include/file.php');
	require_once('conf.inc.php');

// check
	if (!$_GET['mb_id'] || !$_GET['mf_no'])
		msg('올바른 URL로 접근하여 주십시오');


	// [2008-04-03] 파일 다운로드 시간 제한
	if (isset($G_SYS['DOWNLOAD_TIME_LIMIT']))
		set_time_limit($G_SYS['DOWNLOAD_TIME_LIMIT']);


// data
	$DEBUG['db_select']['start'] = getmicrotime();

	// set data
	$mail_file_table = $AUTH[auth_m_mf_table];

	// db - select
	$sql = "
			SELECT
				mf_filename, mf_attach_names
			FROM
				$mail_file_table
			WHERE
				mf_no='" . $_GET['mf_no'] . "'
				AND m_no='" . $AUTH['auth_m_no'] . "'
				AND mb_id='". $_GET['mb_id']. "'
			";
	$row = db_get_row($sql);

	// [2009-07-01]
	if (!$row)
		msg("존재하지 않는 메일입니다.\\n\\n이미 삭제되었거나 다른 편지함으로 옮겨졌을 수 있습니다.");

	$DEBUG['db_select']['exec'] += getmicrotime() - $DEBUG['db_select']['start'];


// download
	$DEBUG['attach_save']['start'] = getmicrotime();

	$mail_file = get_mail_dir().'/'.get_mb_dir($_GET['mb_id']).'/'.$row['mf_filename'];
	// [2013-04-30] POP3 등으로 메일파일이 먼저 삭제된 경우, 에러를 정확하게 보여줌.
	//if (!file_exists($mail_file) || !is_readable($mail_file))
	if (!file_exists($mail_file))
	{
		$sql = "
			DELETE
			FROM
				".$AUTH[auth_m_mf_table]."
			WHERE
				mf_no='" . $_GET['mf_no'] . "'
				AND m_no='" . $AUTH['auth_m_no'] . "'
				AND mb_id='". $_GET['mb_id']. "'
			";
		db_query($sql);
		msg("존재하지 않는 메일입니다.\\n\\n아웃룩등의 메일클라이언트에서 POP3 서비스를 통해 메일을 가져갈때\\n\\n[서버에 메시지 복사본 저장]옵션을 체크하지 않아 삭제되었을 가능성이 높습니다.");
	}	// if()

	// db disconnect
	unset_db();

	if (!is_readable($mail_file))
		error("메일 파일이 존재하지 않거나 퍼미션이 잘못되었습니다.\n=> ". $mail_file, 'FILE');

	// [2008-02-26] 파일명이 길어 다운로드가 되지 않는 오류 수정. (파일명을 전달받지 않고 디비에서 바로 가져오기)
	$an = attach_names_toarray($row['mf_attach_names']);

	$zip_dir = $UPLOAD_ROOT.'/'.$UPLOAD_DIR[BIGFILE_TMP];
	$list_file_data = "";
	$list_file = '';
	for ($i=0; $i<sizeof($an['struct']); $i++){
		$contents = get_mailparse_attachment($mail_file, $an['struct'][$i]);
		#$write_file = fopen($zip_dir."/".$an['name'][$i], "a");
		if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN'){
			if(strpos($_SERVER['HTTP_USER_AGENT'], 'Windows')==true){
                $write_file = fopen($zip_dir."/".iconv('UTF-8','CP949',$an['name'][$i]), "a");
			}else{
                $write_file = fopen($zip_dir."/".iconv('UTF-8','CP949',$an['name'][$i]), "a");
			}
		}else{
			if(strpos($_SERVER['HTTP_USER_AGENT'], 'Windows')==true){
				$write_file = fopen($zip_dir."/".iconv('UTF-8','CP949',$an['name'][$i]), "a");
			}else{
				$write_file = fopen($zip_dir."/".$an['name'][$i], "a");
			}
		}
		fwrite($write_file, $contents);
		fclose($write_file);

		if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN'){
            $list_file_data .= escapeshellarg(iconv('UTF-8','CP949',$an['name'][$i]))."\r\n";
		}else{
			$list_file_data .= iconv('UTF-8','CP949',$an['name'][$i])."\n";
		}
	}
	$list_file = $zip_dir."/".$row['mf_filename'].'.txt';
	file_write($list_file, $list_file_data);

	// [2008-09-24] 편지함 백업/복구시 사용되는 압축 프로그램 Linux/Windows 구분
	if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN')
	{
		$zip_bin = dirname($G_SYS[PAGE_ROOT]).'/tools/7-zip/7za.exe';
		if (!file_exists($zip_bin))
			error("서버에서 압축프로그램을 찾을 수 없습니다.\n=> " . $zip_bin, 'FILE');
        $zip_bin .= ' a -tzip -scsWIN';
	} else
	{
		$zip_bin = '/usr/bin/zip';
		if (!file_exists($zip_bin))
			error("서버에서 압축프로그램을 찾을 수 없습니다.\n=> " . $zip_bin, 'FILE');
		$zip_bin .= ' -q';
	}	// if()


	if (!is_dir($zip_dir)){
		$errorMsg = mkdir_parent($UPLOAD_DIR[BIGFILE_TMP]);
		if ($errorMsg != '')
			msg("임시 디렉토리 생성이 실패하였습니다.\\n\\n원인 : ".$errorMsg);
	}	// if()

	if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN'){
        $cmd = $zip_bin.' '.escapeshellarg($zip_dir.'/'.$row['mf_filename'].".zip").' @'.escapeshellarg($list_file);
	} else {
		$cmd = 'cat '.$list_file.'|'.$zip_bin.' '.escapeshellarg($zip_dir.'/'.$row['mf_filename'].".zip").' -@';
	}	// if()
	chdir($zip_dir);
	ob_start();
	system($cmd);
	exec($cmd);
	$cmd_result = ob_get_contents();
	ob_end_clean();
	$DEBUG['attach_save']['exec'] += getmicrotime() - $DEBUG['attach_save']['start'];

	// download
	$errorMsg = file_down($row['mf_filename'].".zip", '', $UPLOAD_DIR[BIGFILE_TMP], NULL, $row['mf_filename'].".zip");
	if ($errorMsg)
		error("첨부파일 일괄 다운로드가 실패하였습니다.\n=> " . $zip_dir.'/'.$row['mf_filename'].".zip" . $errorMsg . "\n\n명령 : ".$cmd."\n\n명령 결과 : ".$cmd_result, 'FILE');

	// 다운로드 완료후 삭제
	for ($i=0; $i<sizeof($an['struct']); $i++){
		if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN'){
            unlink($zip_dir."/".iconv('UTF-8','CP949',$an['name'][$i]));
		}else{
			unlink($zip_dir."/".iconv('UTF-8','CP949',$an['name'][$i]));
		}
	}
	if ($list_file != '')
		unlink($list_file);
	unlink($zip_dir.'/'.$row['mf_filename'].".zip");

// 다운로드를 위해 디버깅정보 생략.
#require_once('include/global_end.php');
?>