<?
// 현재 설정파일은 [메일서버관리 >> 서버 설정]에서 수정시 자동 갱신됩니다. (2015-12-29 11:37:19)
$G_SYS[ROOT_DOMAIN] = 'domain.com';		// 기본 도메인.
$G_SYS[ADMIN_EMAIL] = 'postmaster@domain.com';		// 관리자 메일 주소.
$G_MB[ID_MIN_LENGTH] = 1;		// 아이디 최소길이 제한.  기본 2자이상.
$G_SYS[MBR_ID_DENY] = array('root','admin','superadmin','demo','mail','nmail','webmail','master','webmaster','postmaster','abuse','service','help');		// 회원가입시 제한할 ID 목록
$G_SYS[FORWARD_DOMAIN_DENY] = array('chol.com','daum.net','dreamwiz.com','empal.com','freechal.com','gmail.com','hanafos.com','hanmail.net','hanmir.com','hotmail.com','korea.com','msn.com','nate.com','naver.com','netian.com','paran.com','sayclub.com','yahoo.co.kr','yahoo.com');		// 메일포워딩 설정시 제한할 도메인 목록
$G_SYS[UPLOAD_MAIL_MAX_SIZE] = 10485760;		// 메일 첨부파일 제한용량.  기본 - 10MB(10485760)
$UPLOAD_MAX_SIZE = 10485760;		// 업로드 제한용량.  ex) 1024 * 1024 * 1 = 1MB(1048576)
$G_SYS[WEBHARD_USE] = 1;		// 웹하드 사용여부.
$G_SYS[VIRUS_SCAN] = 0;		// 바이러스 메일 검사여부.(옵션팩이 설치되어 있어야 함.)
$G_SYS[VIRUS_RETURN] = 0;		// 바이러스 차단시 리턴메일 발송여부.
$G_SYS[S_SPAM_LEVEL] = 'BASIC';		// 스팸 차단 레벨.  (기본 - BASIC).
$G_SYS[S_SPAM_RBL] = array('sbl-xbl.spamhaus.org','bl.spamcop.net','spam.dnsbl.sorbs.net');		// 해외 RBL 목록
$G_SYS[S_DNS_DIRECT] = array('127.0.0.1','164.124.101.2','168.126.63.2','8.8.8.8');		// DNS 직접 지정
$G_SYS[S_SPAM_FROM_FAKE] = 'SKIP';		// 내부주소 위조메일
$G_SYS[MAIL_BOX_BACKUP_USE] = 1;		// 편지함 백업/복구 사용여부.
$G_SYS[UPLOAD_MAIL_BIGFILE_MAX_SIZE] = 2146435072;
$G_SYS[UPLOAD_MAIL_BIGFILE_COUNT] = 20;
$G_SYS[UPLOAD_MAIL_BIGFILE_DAY] = 14;
$G_SYS[UPLOAD_WEBHARD_MAX_SIZE] = 2146435072;
$G_SYS[UPLOAD_MAIL_BOX_RESTORE_MAX_SIZE] = 104857600;
$G_SYS[NM_LOGIN_LIMIT_IP_PER_10M] = 20;		// 특정 IP에서 10분동안 허용 횟수
$G_SYS[NM_LOGIN_LIMIT_IP_PER_HOUR] = 50;		// 특정 IP에서 1시간동안 허용 횟수
$G_SYS[NM_LOGIN_LIMIT_IP_PER_DAY] = 200;		// 특정 IP에서 하루동안 허용 횟수
$G_SYS[NM_LOGIN_LIMIT_EXCLUDE_IP] = array();		// 로그인 시도를 제한하지 않는 IP
$G_SYS[NM_LOGIN_LIMIT_MBR_PER_10M] = 10;		// 특정 아이디로 10분동안 허용 횟수
$G_SYS[NM_LOGIN_LIMIT_MBR_PER_HOUR] = 30;		// 특정 아이디로 1시간동안 허용 횟수
$G_SYS[NM_LOGIN_LIMIT_MBR_PER_DAY] = 100;		// 특정 아이디로 하루동안 허용 횟수
$G_SYS[S_PASS_EVEL] = 3;		// 비밀번호 안전 레벨
$G_SYS[MAIL_QUOTA_ALERT_ISUSE] = 1;		// 메일 용량 부족시 알림 여부
$G_SYS[MAIL_QUOTA_ALERT_RATE] = 90;		// 메일 용량 부족시 알림 기준
$G_SYS[MAIL_QUOTA_ALERT_RATE2] = 85;		// 메일 용량 부족시 재알림 기준
$G_SYS[MAIL_QUOTA_ALERT_SUBJECT_LACK] = '[경고]메일 용량이 부족합니다.';		// 메일 용량 부족 안내 메일 제목
$G_SYS[MAIL_QUOTA_ALERT_SUBJECT_OVER] = '[경고]메일 용량이 초과되었습니다. 새로운 메일을 받을 수 없습니다.';		// 메일 용량 초과 안내 메일 제목
?>
